Inhalt

- ein Windows-Programm zur Ahnenforschung -

Dirk Böttcher - dirk.boettcher@ahnenblatt.de - www.ahnenblatt.de - www.ahnenblatt.com

Beschreibung

Benutzeroberfläche

Funktionen der Menüleiste

Tipps & Tricks

Glossar

Lizenz / Haftungsausschluss

Danksagungen

THIS HELP-FILE IS ONLY AVAILABLE IN GERMAN LANGUAGE!

Please keep in mind: Ahnenblatt is a freeware program made by a single person in his spare time as a hobby!

I had a little help in translation the programs interface, but to translate this help-file, which will be updated with every new program version, is too much work!

Because I am German and speak only a few English: NO SUPPORT BY E-MAIL IN OTHER LANGUAGES THAN GERMAN!


Beschreibung

Ahnenblatt ist ein kostenloses Programm zur Ahnenforschung für Windows. Neben der Eingabe, die in einem übersichtlichen Eingabedialog stattfindet und auch eine einfache Navigation per Mausklick erlaubt, wurde besonderen Wert auf den Dateiaustausch gelegt. Die Forschungsergebnisse können in diversen Listen (speicherbar als HTML, DOC, RTF, PDF, ...) und Tafeln (speicherbar als PDF, BMP, JPG, GIF, PNG, TIF, ...) gedruckt werden. Weiterhin bietet Ahnenblatt den Import von GEDCOM- und CSV-Dateien und den Export in die Formate GEDCOM, HTML, XML, CSV und TinyTafel. Abgerundet wird das Ganze durch eine Volltextsuche und eine Druckvorschau aller Ausgaben.

Im Detail bietet Ahnenblatt folgende Möglichkeiten:

  • Eingabe der Daten in einem übersichtliche Eingabedialog inklusive Quellangaben, Anmerkungen und Bilder
  • Navigator zur anschaulichen Darstellung und zum Auswählen von Personen
  • Eingabe von ausländischen Sonderzeichen (Unicode)
  • eigenes Dateiformat (*.ahn), um Ahnendaten z.B. per E-Mail zu versenden oder auf einen USB-Stick zu kopieren
  • Import von GEDCOM-Dateien in allen bekannten Varianten (ANSI, ASCII, UNICODE, UTF8, ANSEL)
  • Export nicht nur in das GEDCOM-Format, sondern auch im HTML-Format (eine Datei mit allen Personen oder pro Person eine Datei), im XML-Format (Gedcom 6.0, GedML), als CSV-Datei (zur Verwendung in einer Tabellenkalkulation), als TinyTafel oder zur Erstellung einer Hilfe (erfordert aber einen sog. Hilfecompiler)
  • Ausdruck von Ahnen- und Stammlisten, wie sie in der Ahnenforschung gebräuchlich sind (mit Vorschau). Diverse Optionen erlauben dabei z.B. den Ausdruck nur der Mutterlinie oder der Spitzenahnen.
  • Ausdruck von Ahnen- und Stammtafeln mit Personenrahmen auf Seitenbasis (nur Ahnentafel) und als Poster (beide - auch kombiniert als Sanduhr)
  • Exportmöglichkeit aller Listenvarianten in diverse Dateiformate z.B. zur Nachbearbeitung in der Textverarbeitung (Word, RTF, Text, LaTex, ...).
  • Volltextsuche über alle Personen, um z.B. in einer unbekannten Familie nach Orten oder Namen des eigenen Forschungsgebietes zu suchen (inkl. phonetische Suche).
  • Möglichkeiten der automatisierten Nachbearbeitung des Datenbestandes zur Vereinheitlichung von Schreibweisen (Funktionen Daten angleichen und Suchen und Ersetzen).
  • Plausibilitätsprüfung zum Aufspüren von Eingabefehlern oder sonstigen Unlogiken
  • Zusammenfügen mehrerer Ahnendateien zu einer Familie.
  • Löschen nicht nur einzelner Personen, sondern ganzer Personengruppen.
  • Anzeige von Statistiken
  • Sprachauswahl für die Benutzeroberfläche (deutsch, englisch, französisch, ...)


Benutzeroberfläche

Hauptfenster

Eingabedialog

Bedienung per Tastatur

Hilfreiche Kontextmenüs


Benutzeroberfläche / Hauptfenster

1. Titelzeile - zeigt die Programmversion und die geöffnete Datei an

2. Menüzeile - enthält alle verfügbaren Funktionen [Funktionen der Menüleiste]

3. Symbolleiste - enthält die am häufigsten benötigten Funktionen

4. Zentralperson - alle übrigen Personen stehen in Verbindung zu dieser

5. Navigator - zeigt Vorfahren und Kinder der Zentralperson, durch Klicken auf die Personenfelder kann in der Familie navigiert werden

6. Statuszeile - zeigt die Personenzahl der Familie, bei Tafeldrucken zusätzlich die Anzahl der dargestellten Personen und die Gesamtgröße des Ausdrucks


Benutzeroberfläche / Eingabedialog

1. Eingabedialog - hier können neue Personen angelegt werden und Daten bestehender Personen geändert werden

2. Fenstertitel - zeigt den Namen der aktuellen Person und die Position unter allen Personen an

3. Ortsverwaltung - durch Klick auf dieses Symbol wird direkt die Ortsverwaltung mit dem entsprechenden Ortseintrag aufgerufen

4. Laschen - ähnlich wie im Karteikasten können durch Anklicken der Laschen die verschiedenen Eingabekategorien ausgewählt werden

5. Personen-Button - durch Anklicken dieser Buttons verzweigt man zu einer anderen Person oder man kann eine neue Person anlegen

6. Lösch-Icon - entfernt die Verbindung zur nebenstehenden Person

7. OK / Abbruch - mit beiden Buttons kann man den Eingabedialog schließen, wobei bei Abbruch die Änderungen bei der angezeigten Person verworfen werden

8. Navigations-Buttons - hiermit kann man zwischen den Personen im Eingabedialog wechseln

9. in Zwischenablage kopieren - kopiert die Daten der angezeigten Person in die Zwischenablage, die dann z.B. in die Textverarbeitung oder eine E-Mail kopiert werden können

10. Person löschen - löscht die aktuell angezeigte Person

Tipps zur Eingabe unter Wie sollte man mit der Eingabe der Familiendaten beginnen ?.


Benutzeroberfläche / Bedienung per Tastatur

Ahnenblatt lässt sich in vielen Teilen per Tastatur bedienen und orientiert sich dabei an Windows-Standards.

Dialoge lassen sich prinzipiell immer mit Esc schließen, während Return bzw. Enter den fokussierten Button auslöst.

Die Tastenkombination Alt+Pos1 im Navigator gedrückt, springt immer zur Startperson (vorausgesetzt es ist eine festgelegt).

Weiterhin sind in der Menüleiste noch weitere Tastenkombinationen zu finden.

In allen Dialogen kann man zwischen den Eingabefeldern mit der Tabulator-Taste springen.

Im Eingabedialog kann man mit Bild hoch und Bild runter eine Person vor bzw. zurück springen. Um zur Person mit dem nächsten Anfangsbuchstaben des Geburtsnamen vor oder zurück zu springen drückt man entweder Shift+Bild hoch oder Shift+Bild runter.

Besonders hilfreich ist, dass man mit der Taste F1 von nahezu jeder Stelle im Programm direkt in die Hilfe zum entsprechenden Hilfethema verzweigen kann.


Hilfreiche Kontextmenüs

Kontextmenüs sind kleine Funktionsmenüs, die man durch Klicken mit der rechten Maustaste erreicht. Aus diesen Menüs kann man dann eine Funktion durch Klicken mit der linken Maustaste auswählen.

Diese finden sich ...

  • im Navigator - durch Klicken auf das Bild

  • im Navigator - durch Klicken auf die Zentralperson

  • im Navigator - durch Klicken an beliebiger Stelle (nicht auf Zentralperson) zeigt zwei Menüpunkte weniger

  • in der Symbolleiste - durch Klicken an beliebig "freier" Stelle

  • in der Tafeldruckvorschau - durch Klicken an beliebiger Stelle kann man Hintergrundfarbe oder -bild ein- bzw. ausschalten


Funktionen der Menüleiste

Datei

Bearbeiten

Ansicht

Erstellen

Suchen

Extras

Tools

Sprache

?


Datei

Neu

Öffnen...

Hinzufügen...

Speichern

Speichern unter...

Suchen...

Import Bericht...

Eigenschaften...

Senden per E-Mail...

Drucker einrichten...

Beenden

Wenn unter Extras/Optionen... [Allgemein] eingerichtet, werden zwischen den Menüeinträgen "Speichern unter..." und "Beenden" die 5 zuletzt geöffneten Ahnenblatt-Dateien angezeigt, die mit einem Mausklick direkt geöffnet werden können.


Datei/Neu

Schließt eine eventuell bereits geöffnete Ahnendatei und öffnet den Eingabedialog für eine neue Person.

Einen kleinen Leitfaden zum Ausfüllen dieses Dialogs findet sich unter Wie sollte man mit der Eingabe der Familiendaten beginnen ?.


Datei/Öffnen...

Lädt eine Familiendatei.

Dabei werden folgende Formate unterstützt:

  • Ahnendatei (*.ahn): Ahnenblatt-eigenes Dateiformat
  • GEDCOM-Datei (*.ged): internationaler Standard für Ahnendateien, wird von nahezu allen Ahnenprogrammen unterstützt
  • CSV-Datei (*.csv): Ein Textformat, dass Tabellenwerte enthält und als Dateiformat in nahezu allen Tabellenkalkulationsprogrammen zur Verfügung steht. Die Tabellenwerte sind dabei durch spezielle Trennzeichen getrennt (Semikolon, Komma oder Tabulator). Näheres zur Verwendung findet sich unter Wie kann man Daten aus einer Tabellenkalkulation importieren ?.
  • Backupdatei (*.bak): Beim Speichern einer Datei wird eine bereits vorhandene gleichnamige Datei umbenannt und erhält die Endung .bak. Somit kann man auch immer noch auf den Stand vor dem letzten Speichern zurückgreifen.


Datei/Hinzufügen...

Fügt eine Familiendatei, den bereits geladenen bzw. eingegebenen hinzu.

Werden dabei doppelte Personen erkannt, dann wird nachgefragt, ob diese Personen automatisch zusammengeführt werden sollen. Diese Funktion lässt sich auch nachträglich manuell aufrufen (siehe Bearbeiten/Personen zusammenführen...).

Die Daten der hinzuzufügenden Datei können dabei im Ahnenblatt- (*.ahn) oder GEDCOM-Format (*.ged) vorliegen.


Datei/Speichern

Speichert eine Familiendatei im Ahnenblatt-Format (*.ahn) unter dem Namen unter dem sie auch geladen wurde.

Sind die Personen bislang noch nicht gespeichert, so wird nach einem Dateinamen gefragt.


Datei/Speichern unter...

Speichert eine Familiendatei, wobei ein neuer Dateiname verwendet werden kann.

Im Vergleich zum Speichern kann hier zwischen mehreren Dateiformaten ausgewählt werden.

Dabei stehen folgende Formate zur Auswahl:

  • Ahnendatei (*.ahn): Ahnenblatt-eigenes Dateiformat
  • GEDCOM-Datei (*.ged): internationaler Standard für Ahnendateien, ideal als Dateiformat für den Austausch mit anderen Ahnenforschern, da von vielen Programmen zur Ahnenforschung unterstützt
  • HTML-Seite (*.htm): erzeugt eine HTML-Datei mit allen Personen und Links innerhalb der Datei
  • HTML-Website (*.htm): eine HTML-Seite aller Personen und in einem gleichnamigen Unterverzeichnis zu jeder Person eine eigene HTML-Seite. Ist im gleichen Verzeichnis der HTLM-Seiten eine Graphikdatei namens back.jpg vorhanden, so wird diese als Hintergrundgraphik verwendet.
  • Tiny Tafel (*.tt): Ein älteres und nicht mehr häufig anzutreffendes Dateiformat, das nur Familiennamen, Jahreszahlen und Kontaktadresse des Ahnenforschers enthält. Damit kann man anderen Ahnenforschern die Möglichkeit geben zu prüfen, ob es Übereinstimmungen zwischen den Familien gibt, ohne detaillierte Personendaten preis zu geben.
  • Windows-Hilfe (*.hpj/*.rtf): erzeugt eine Datei im RichText-Format und eine Help-Project-Datei zur Erstellung einer Windows-Hilfe (benötigt den Microsoft HelpCompiler)
  • XML / Gedcom 6.0 (*.xml): Eine XML-Variante, die als Nachfolger des Gedcom-Formats angedacht war, aber nur über eine sehr geringe Verbreitung verfügt, da die Formatspezifikationen seit Jahren nur als Entwurf vorliegen. Gespeichert wird der gesamte Datenumfang (wie bei Gedcom). Da es zu den Besonderheiten von XML gehört, dass zu jeder XML-Datei eine Dokumententypdefinitionsdatei (.dtd) gehört, wird in das Zielverzeichnis immer auch eine Datei namens GEDCOM60.dtd abgelegt.
  • XML / GedML (*.xml): Eine weitere XML-Variante basierend auf einen Entwurf von Michael H. Kay aus dem Jahre 1999. Verwendet zum größten Teil die gleichen Schlüsselwörter wie Gedcom - bislang aber kaum verbreitet. Gespeichert wird der gesamte Datenumfang (wie bei Gedcom). Da es zu den Besonderheiten von XML gehört, dass zu jeder XML-Datei eine Dokumententypdefinitionsdatei (.dtd) gehört, wird in das Zielverzeichnis immer auch eine Datei namens gedml.dtd abgelegt.
  • CSV-Datei (*.csv): alle Personendaten werden als Tabelle in einem für Tabellenkalkulationen gebräuchlichem Textformat gespeichert

Anmerkung: nur beim Abspeichern im Ahnenblatt-Format (*.ahn) können Sie sicher sein, dass die Familiendaten auch genau in der Form gespeichert werden wie sie auch eingegeben wurden.

Beim GEDCOM-, CSV- und den XML-Formaten (*.ged, *.csv, *.xml) werden prinzipiell auch alle Daten abgespeichert, allerdings können formatbedingt Ahnenblatt-spezifische Besonderheiten (z.B. Startperson im Navigator) verloren gehen.

Alle übrigen Dateiformate sind für spezielle Verwendungszwecke vorbereitet, eventuell sogar verdichtet, so dass sie sich nicht zum erneuten Einlesen eignen.


Datei/Suchen...

Mit dieser Funktion kann eine Suche nach Ahnendateien auf dem eigenen Rechner ausgeführt werden.

Dabei hat man die Wahl, nach welchen Dateitypen gesucht werden soll (Ahnendatei, GEDCOM-Datei, Backup-Datei).

Die Suche wird mit dem Button "Start" gestartet. Da das Durchsuchen aller Dateien auf dem Rechner einige Zeit in Anspruch nehmen kann, kann man jederzeit mit dem Button "Stop" den Suchvorgang beenden (weil vielleicht die gesuchte Datei bereits gefunden wurde).

Am Ende kann man direkt aus dem Dialog mittels Button "Datei öffnen" die gewünschte Datei (= markierte Zeile) öffnen.


Datei/Import Bericht...

Diese Funktion steht nur zur Verfügung, wenn es sich bei der geöffneten Familiendatei um eine Gedcom- oder eine CSV-Datei handelt. In einem eigenen Dialog werden Details zur Datei gezeigt. Dieses kann vor allem von Interesse sein, wenn man eine Gedcom-Datei öffnet, die nicht mit Ahnenblatt erzeugt wurde.

Der Dialog teilt sich in folgende Bereiche, die nur bei Bedarf sichtbar sind:

  • Allgemein: zeigt u.a. die Anzahl der importierten Personen oder auch die Zeichenkodierung einer Gedcom-Datei
  • Sonstiges: zeigt generelle Besonderheiten an, wie z.B. fehlende Angabe eines Erstellers in einer Gedcom-Datei

Mit Hilfe von Extras/Optionen... [GEDCOM-Import] lässt sich der Gedcom-Import anpassen, die sich direkt aus dem Dialog aufrufen lassen.

Der Dialog lässt sich auch automatisch nach dem Laden einer Gedcom-Datei aufrufen, indem man die Option "Gedcom Import Bericht automatisch nach dem Laden zeigen" auswählt (ebenfalls erreichbar über Extras/Optionen... [Allgemein].

Der Import Bericht lässt sich auf Wunsch im Textformat "Speichern...".


Datei/Senden per E-Mail...

Öffnet einen Sendedialog des am Rechner eingerichteten E-Mail-Standardprogramms. Dabei ist die in Ahnenblatt geladene Datei als Dateianhang angefügt. So kann man direkt aus Ahnenblatt heraus einem befreundeten Genealogen seine Familiendatei schicken.

Sollten in den Familiendaten noch Änderung durchgeführt worden sein, so werden Sie vorab aufgefordert diese vorher zu speichern.

An einigen Rechnern führt diese Funktion bislang zu einer unerklärlichen Fehlermeldung, ohne dass ein E-Mail-Dialog erscheint. Dann muss das E-Mail-Programm manuell aufgerufen werden um die Datei zu versenden.


Datei/Eigenschaften...

Dieser Menüpunkt steht zur Verfügung, sobald Daten eingegeben wurden oder eine Datei geladen wurde.

Erstellt durch

Hier gibt man den eigenen Namen und die eigene Adresse unter "Erstellt durch" ein. Diese Informationen werden in einer Ahnendatei oder GEDCOM-Datei (hier sogar Pflicht) abgespeichert und zeigen bei Weitergabe der Datei den Ersteller an.

Diese Angaben können auch in Listen und HTML-Exporten wahlweise mit ausgegeben werden, so dass der Urheber der Familiendaten angegeben wird (in Optionsdialogen als "Ersteller").

Eine Besonderheit stellt der Platzhalter $DATUM dar, der in Ausdrucken und Exporten durch das aktuelle Datum ersetzt wird. Der Platzhalter kann in einer beliebigen Zeile an beliebiger Stelle erscheinen (z.B. "Stand der Forschung: $DATUM").

Hinweis: Wird innerhalb der Adresse eine E-Mail-Adresse genannt, so wird diese innerhalb eines HTML-Exports zu einem Mail-Link.

Startperson

Bestimmt die Person, die nach dem Laden einer Ahnendatei zentral im Navigator angezeigt wird. Bei GEDCOM-Dateien wird diese Information nicht abgespeichert. In diesem Fall wird die "Startperson" immer durch eine Programmautomatik bestimmt (es wird die erste Person gewählt, bei der der Navigator möglichst vollständig gefüllt ist).

Bei "zuletzt ausgewählte Person" wird beim Laden einer Ahnendatei immer die Person zentral angezeigt, die vor dem Speichern im Mittelpunkt angezeigt wurde.

Datumsformat

Ahnenblatt verwendet in allen Datumsfeldern reine Textfelder. Bei bestimmten Funktionen (Familie sortieren, Plausibilitätsprüfung, Speichern als GEDCOM, ...) muss Ahnenblatt diese Felder interpretieren können.

Wie das eingegebene Datum zu interpretieren ist, kann hier bestimmt werden. Voreinstellung ist das in Windows eingestellte Format, dass dann zusammen mit der Ahnendatei abgespeichert wird.

So funktioniert dann auch z.B. eine Plausibilitätsprüfung, wenn in einer Datei alle Datumsfelder in der Form "MM/TT/JJJJ" verwendet wurden.

Allgemein

Zeigt einige generelle Informationen zur momentan geladenen Datei an.


Datei/Drucker einrichten...

Es erscheint ein Dialog, in dem spezielle Druckereinstellungen vorgenommen werden können. Dazu gehören ...

  • Drucker: beim Programmstart wird hier immer der Standarddrucker vorgegeben, kann hier aber auch geändert werden
  • Papier: bestimmt die Größe des verwendeten Papiers abhängig von den Fähigkeiten des ausgewählten Druckers
  • Format/Orientierung: Hoch- oder Querformat
Weitere Druckereinstellungen, wie z.B. Seitenränder finden sich unter Extras/Optionen... [Drucken],


Datei/Beenden

Beendet das Programm. Sind in der gerade geladenen Familie Veränderungen durchgeführt worden, so wird gefragt, ob diese gespeichert werden sollen.


Bearbeiten

Neue Person...

Gehe zu...

Gruppe löschen...

Plausibilitätsprüfung

Fehlerperson aufrufen

Daten angleichen...

Familie sortieren

Personen zusammenführen...

Ortsverwaltung...


Bearbeiten/Neue Person...

Öffnet einen leeren Eingabedialog, in dem die Daten einer Person eingetragen werden können.

Man sollte so nur die erste Person einer Familie eingeben.

Sind bereits direkt verwandte Personen zu der neu einzugebenen vorhanden, so ist es einfacher eine verwandte Person auszuwählen und durch direktes Klicken auf eines der Personen-Buttons (Vater, Mutter, Geschwister, Partner, Kinder) eine neue Person anzulegen.

Einen kleinen Leitfaden zum Ausfüllen dieses Dialogs findet sich unter Wie sollte man mit der Eingabe der Familiendaten beginnen ?.


Bearbeiten/Gehe zu...

Mit dieser Funktion kann eine Person direkt als Zentralperson im Navigator ausgewählt werden.


Bearbeiten/Gruppe löschen...

Mit dieser Funktion kann eine ganze Personengruppe gelöscht werden.

Dabei stehen folgende Auswahlkriterien zur Auswahl:

  • Suchbegriffe...: Es erscheint ein Suchdialog, wie bei Suchen..., über den die Auswahl der zu löschenden Personen bestimmt wird.
  • Vorfahren (direkt) von...: alle direkten Vorfahren einer Person (Eltern, Großeltern, ...)
  • Vorfahren (komplett) von...: alle kompletten Vorfahren einer Person, also nicht nur Eltern, Großeltern, ..., sondern auch deren Geschwister und weitere Ehepartner
  • Nachfahren (direkt) von...: alle direkten Nachfahren einer Person (Kinder, Enkel, ...)
  • Nachfahren (komplett) von...: alle kompletten Nachfahren einer Person, also nicht nur Kinder, Enkel, ..., sondern auch deren Geschwister, weitere Ehepartner und wiederum Eltern
  • Verwandte von...: die Verwandten (Kinder, Eltern, Geschwister, Partner) einer Person bis zu einer "maximalen Suchtiefe"
  • individuelle Auswahl: zeigt alle Personen zur Auswahl, aus denen dann die zu löschenden Personen bestimmt werden können

Es können dabei alle Personen gelöscht werden, auf die das Auswahlkriterium zutrifft (nur Auswahl) oder auf die es nicht zutrifft (alles außer Auswahl).

Dabei werden die zu löschenden Personen zur Kontrolle immer vorher angezeigt, bevor es zu der eigentlichen Löschung kommt.


Bearbeiten/Daten angleichen...

Mit dieser Funktion können Datenänderungen über alle eingegebenen Personen durchgeführt werden.

  • führende/folgende Leerzeichen entfernen: entfernt Leerzeichen, die versehentlich eingegeben wurden, aber bei z.B. Listen zu unerwünschten Ausgaben führen in allen Eingabefeldern. Manuell wären solche Leerzeichen nur sehr schwer zu finden.
  • Datumsfelder auf Kurzformat vereinheitlichen: korrigiert Datumsangaben auf das durch das Betriebssytem vorgegebene Kurzformat (z.B. TT.MM.JJJJ)
  • Geburtsname: erlaubt das Ändern aller Geburtsnamen in 'normale' Groß-/Kleinschreibung oder 'reine' Großschreibung.


Bearbeiten/Plausibilitätsprüfung

Mit dieser Funktion werden alle Personen auf logische Fehler geprüft. Dieses können Verweise auf Partner sein, die keinen entsprechenden Eintrag zurück haben, ebenso fehlende Rückverweise bei Geschwistern und Kinder/Eltern. Weiterhin werden die Datumsangaben überprüft, so dass z.B. die Geburt einer Person immer vor ihrem Tod sein muss, eine Geburt vor der Taufe, usw.

Werden Fehler gefunden, so erscheint eine Liste aller fehlerhaften Personen und eine Fehlerbeschreibung. Von hier aus kann dann eine Person zur Korrektur angesprungen werden.

Ist kein Fehler feststellbar, kommt nur eine kurze Meldung.

In den Optionen unter Extras/Optionen.../Plausibilitätsprüfung lassen sich detaillierte Einstellungen zur Plausibilitätsprüfung vornehmen, die auch direkt über den Button "Optionen..." angesprungen werden können.

Das komplette Ergebnis der Plausibilitätsprüfung lässt sich auf Wunsch im Textformat "Speichern...".


Bearbeiten/Fehlerperson aufrufen

Führt ebenfalls eine Plausibilitätsprüfung durch (vgl. Plausibilitätsprüfung), zeigt aber keine Liste aller Fehler an, sondern springt sofort die erste Person zur sofortigen Korrektur an.

Ist kein Fehler feststellbar, kommt nur eine kurze Meldung.


Bearbeiten/Familie sortieren

Auch wenn bereits bei der Eingabe von neuen Personen diese immer alphabetisch sortiert werden, so sortiert diese Funktion auch die Geschwister, Partner und Kinder nach deren Geburtsdaten.

Dabei gelten folgende Sortierregeln:

  • Geschwister: Sortierung der Geschwister nach Geburtsdatum oder, wenn nicht vorhanden, nach Taufe. Alle Geschwister ohne Geburtsdatum und Taufe werden in alphabetischer Reihenfolge ans Ende gesetzt.
  • Ehen: Sortierung der Partner nach Hochzeitsdatum. Die Partner ohne Hochzeitsdatum werden ans Ende gesetzt.
  • Kinder: Sortierung der Kinder nach Geburtsdatum oder, wenn nicht vorhanden, nach Taufe. Weiteres Sortierkriterium ist die Reihenfolge der Ehe zum zweiten Elternteil. Alle Kinder ohne Geburtsdatum und Taufe und ohne klaren Bezug zu einer der Ehen werden in alphabetischer Reihenfolge ans Ende gesetzt.


Bearbeiten/Personen zusammenführen...

Das Zusammenführen von Personen bedeutet, dass doppelte Personen erkannt und zu einer Person zusammengeführt werden.

Ahnenblatt führt diese Aufgabe weitestgehend automatisch aus, so dass selbst bei einer großen Anzahl an doppelten Personen, der Aufwand gering ist.

Dieses geschieht in drei Phasen:

  • Doppelte Personen suchen: Es werden alle doppelten Personenpaare angezeigt, die Ahnenblatt automatisch findet. Dabei gelten diejenigen Personen als doppelt, die gleichen Geburtsnamen und gleiche Vornamen tragen und dazu noch ein gleiches Ereignisdatum haben (Geburtstag, Todestag, Taufdatum, ...). Vor jedem Paar ist standardmäßig ein Häkchen gesetzt, das auch durch Klick weggenommen werden kann. Bei der Zusammenführung werden dann nur die Paare berücksichtigt, die mit einem Häkchen markiert sind. Weiterhin können manuell weitere Paare über den Button "Hinzufügen..." hinzugefügt werden. Das Zusammenführen wird dann durch den Button "Start" gestartet.
  • Zusammenführen der Personen: Dabei werden nicht nur die doppelten Personenpaare zusammengeführt, sondern auch die direkte Verwandtschaft. Sind zwei Personen gleich, dann müssen auch deren Eltern, Kinder und Geschwister identisch sein. Die Personendaten werden von Ahnenblatt "intelligent" zusammengeführt. Ist bei einer Person ein Geburtsdatum eingetragen und kein Sterbedatum, bei der als doppelt erkannten Person aber kein Geburts- aber ein Sterbedatum, dann hat die zusammengeführte Person als Ergebnis sowohl Geburts- und Sterbedatum. Sind in gleichen Datenfeldern unterschiedliche Inhalte, dann werden die Daten bei der Ergebnisperson durch " ; " getrennt (Leerzeichen Semikolon Leerzeichen, z.B. "Brüssel ; Bruxelles").
Im Dialog "Zusammenführung" wird dann das Ergebnis in drei Laschen angezeigt.

"zusammengeführt" listet die zusammgeführten Personen auf, wobei die Anzahl in eckigen Klammern die Anzahl der Zusammenführungen bei jeder Person zeigt (1 = zwei Personen wurden zusammengeführt, 2 = drei Personen wurden zusammengeführt, ...).

"nicht zusammengeführt" listet alle Einzelpersonen auf, die nicht zusammengeführt wurden.

"noch zu prüfen" sind Personen, bei denen Datenfelder mit unterschiedlichem Inhalt zusammengeführt wurden. Bei diesen Personen ist noch manuelle Nacharbeit erforderlich. Man kann direkt zu den zu prüfenden Personen gelangen, indem man auf den Button "Prüfen..." klickt (der aber nur anklickbar ist, wenn wirklich Personen zu prüfen sind).

Mit dem Button "Speichern..." kann man die Anzeige aller drei Laschen in eine Textdatei speichern, die man bei späterer Nachbearbeitung anschauen oder drucken kann.

  • Nachbearbeitung: Wenn man über den Button "Prüfen..." die nachzubearbeitenden Personen aufruft, bekommt man diese als "geschlossene" Personengruppe angezeigt (ist der Button nicht anklickbar, dann ist auch nichts nachzubearbeiten). Man springt mit den Pfeiltasten des Eingabedialoges dann immer zur nächsten bzw. vorherigen zu prüfenden Person. Dieses entspricht einer Suche über alle Datenfelder nach dem Suchtext " ; " (Leerzeichen Semikolon Leerzeichen). Dadurch ist man nicht gezwungen, die Nachbearbeitung sofort durchzuführen. Man kann die neue Familie speichern und die Nachbearbeitung zu einem späteren Zeitpunkt fortsetzen. Zu den nachzubearbeitenden Personen gelangt man später immer wieder, indem man die Funktion "Bearbeiten / Personen zusammenführen...", dann "Start" klickt (auch wenn keine doppelten Personen gezeigt werden) und dann im Folgedialog auf "Prüfen..." klickt.


Ortsverwaltung...

Die Ortsverwaltung kann entweder direkt aus dem Menü ("Bearbeiten / Ortsverwaltung...") oder aus der Symbolleiste ("Orte") aufgerufen werden. Weiterhin ist im Personeneingabedialog hinter jedem Ortsfeld ein kleines Dialogsymbol zu finden. Durch Mausklick auf dieses Symbol gelangt man ebenfalls in die Ortsverwaltung.

In der Ortsverwaltung kann man zu jedem Ort ...

  • Anmerkungen (als Freitext)
  • Quellen (als Freitext)
  • Bilder/Dateien
  • Sonstiges (Postleitzahl, Koordinaten)
... hinterlegen.

Unter der Lasche "Personen" sind die Personen hinterlegt, bei denen der entsprechende Ort vorkommt. Durch Doppelklick auf eine Personenzeile lässt sich direkt eine bestimmte Person anspringen.

Auch ist es hier möglich einen Ort über das Feld Ortsname umzubenennen. Diese Änderung kann dann bei allen Personen, die einen entsprechenden Ortseintrag besitzen, durchgeführt werden.

Ebenfalls ist es möglich durch Umbenennung eines Ortes in den Namen eines bereits bestehenden Ortes, die Daten zweier Orte zusammenzuführen.

Durch den Button "Neuer Ort" kann auch ein neuer Ort angelegt werden, der noch gar nicht in den Ahnendaten vorkommt.

Hat man Daten zu einem Ort eingegeben, will aber noch Daten zu weiteren Orten eingeben, so braucht man nicht jedes Mal den Dialog mit "OK" zu schließen, sondern klickt in der Liste aller Orte einfach den nächsten zu bearbeitenden Ort an. Die Daten werden dabei automatisch gespeichert.


Ansicht

Symbolleiste

zur Startperson gehen

Vornamen zuerst anzeigen

nur Rufnamen anzeigen

Bild ausblenden

Personentext kopieren

Personenblatt drucken...

Navigator drucken

Navigatorfarbe festlegen...


Ansicht/Symbolleiste

Hier kann das Aussehen der Symbolleiste geändert werden (auch erreichbar über rechte Maustaste in der Symbolleiste - siehe Hilfreiche Kontextmenüs).

  • Große Symbole - ändert die Größe der Symbole in der Symbolleiste
  • Symboltexte - erlaubt das Ein- und Ausblenden der Texte zu den Symbolen in der Symbolleiste
  • Anpassen... - zeigt einen Dialog, der die Auswahl der anzuzeigenden Symbole in der Symbolleiste ermöglicht


Ansicht/zur Startperson gehen

Zeigt die Startperson als zentrale Person im Navigator an.

Dieser Menüpunkt ist nur auswählbar, wenn überhaupt eine Startperson festgelegt wurde.

Die Startperson wird über die Menüleiste mit Datei/Eigenschaften... [Startperson] ausgewählt.


Ansicht/Vornamen zuerst anzeigen

Dadurch kann bestimmt werden, ob bei den Namen der Personen im Navigator zuerst die Vornamen oder die Geburtsnamen stehen sollen.


Ansicht/nur Rufnamen anzeigen

Dadurch kann bestimmt werden, dass nicht alle Vornamen, sondern platzsparender nur die Rufnamen angezeigt werden sollen.

Als Rufname gelten bei mehreren Vornamen jeweils der erste Vorname oder derjenige, der durch Unterstriche ('_') eingerahmt ist.


Ansicht/Bild ausblenden

Es kann unter bestimmten Umständen sinnvoll sein, die Anzeige eines Bildes im Navigator zu unterdrücken (weil z.B. Bilddateien zu groß sind und zu lange bei der Anzeige brauchen), was man mit dieser Funktion ein- und ausschalten kann.


Ansicht/Personentext kopieren

Kopiert den Personentext der Hauptperson im Navigator in die Zwischenablage. Danach kann der Text in andere Programme (z.B. Textverarbeitung oder E-Mail-Programm) eingefügt werden.

Diese Funktion kann auch mit der Tastenkombination Strg+C aufgerufen werden.


Ansicht/Personenblatt drucken...

Zeigt die Druckvorschau des Personenblattes der aktuellen Zentralperson im Navigator. Das Personenblatt entspricht im Aufbau der Liste "Personenblätter" und enthält alle Daten der Person.

Dieses Blatt kann dann entweder gedruckt oder in diversen Dateiformaten abgespeichert werden.


Ansicht/Navigator drucken

Druckt den angezeigten Navigator direkt und seitenfüllend auf den aktuell eingestellten Drucker aus (ohne Druckvorschau).


Ansicht/Navigatorfarbe festlegen...

Bringt einen Auswahldialog, um die Farbe des Navigatorhintergrundes auszuwählen.


Erstellen

Liste...

Tafel...


Erstellen/Liste...

Erstellt eine Liste für den Druck oder Export.

Folgende Listen stehen dabei zur Auswahl:

  • Ahnenliste (sortiert nach Kennziffern oder Stämme)
  • Stammliste (Angeheiratete als Anhang, im Text oder weglassen - Nachkommen "nur von männlichen", "gleichen Namens" oder "alle")
  • Familienliste (alphabetisch oder chronologisch)
  • Ereignisliste (nur Lebende, nur Rufnamen, Geburtstage, Hochzeitstage, Todestage)
  • Personenblätter (mit/ohne Bilder)

Weiterhin kann der Informationsumfang bestimmt werden, wobei folgendes auswählbar ist:

  • Ersteller (für die gesamte Liste)
  • Kirchliches (für jede Person)
  • Anmerkungen (für jede Person)
  • Quellen (für jede Person)

Wurde die zu erstellende Liste ausgewählt, so erscheint bei der Ahnenliste, wie auch bei der Stammliste, ein Auswahldialog, in dem man eine Person auswählt. Bei der Ahnenliste ist dieses die Person, deren Vorfahren man aufgelistet bekommen will (also "der Jüngste") und bei der Stammliste die Person, deren Nachkommen man als Liste haben möchte (also "der Älteste").

Danach erscheint eine Vorschau der gewünschten Liste. Man kann alle Seiten durchblättern, die Darstellungsgröße verändern, die Liste drucken und auch Exportieren, d.h. als Datei abspeichern.

Dabei kann beim Exportieren zwischen folgenden Ausgabedateiformaten gewählt werden:

  • HTML (*.htm): existiert eine gleichnamige Website (siehe Speichern unter...), so werden bei allen Personen Verweise auf die einzelnen Personen-Dateien eingefügt.
  • TeX/LaTex (*.tex): das Textsystem (vor allem unter Unix) mit Tradition
  • Microsoft Word (*.doc): die weitverbreitete Microsoft Textverarbeitung
  • Rich Text Format (*.rtf): dieses Dateiformat wird unter Windows quasi von jeder Textverarbeitung unterstützt (ein eigenes Programm dazu gibt es allerdings nicht), wie z.B. Word, Star Office, Word Perfect, ...
  • Textdatei (*.txt): unformatierte Textinformationen
  • PDF-Datei (*.pdf): Dokumentenformat zur Weitergabe der Liste in Druckqualität


Erstellen/Tafel...

Erstellt eine grafische Darstellung der Familiendaten für den Druck.

Folgende Tafeln steht dabei zur Verfügung:

  • Ahnentafel: hierbei kann man die Größe der Personenrahmen vorgeben (Breite in Millimeter) und die Positionierung der Ausgangsperson (oben/unten). Mit diesen Angaben wird eine Ahnentafel gedruckt, die sich über mehrere Seiten erstreckt. Auf den einzelnen Seiten deuten Hilfslinien dann an, wo Ränder geknickt oder abgeschnitten und wo angeklebt werden müssen, um eine Ahnentafel als "Poster" zu erhalten. Diese Darstellungsform wäre geeignet um sie als Schaubild aufzuhängen.
  • Stammtafel: entspricht von der Darstellung der Ahnentafel, nur dass hierbei der älteste Namensträger mit allen seinen Nachkommen dargestellt wird.
  • Sanduhr: zeigt gleichzeitig die Vor- und Nachfahren einer Person an und ist somit eine Mischung aus "Ahnentafel (Poster)" und "Stammtafel (Poster)"
  • Ahnentafel (seitenbasiert): dabei werden pro Seite Teilbäume erzeugt und unter den Personen der letzten Generation jeder Seite wird angezeigt auf welcher Seite die Vorfahren dieser Person dargestellt werden. Diese Darstellungsform ist ideal, wenn man die Ahnentafel abheften oder als Buch binden will. Achtung: die Größe der einzelnen Personenrahmen und damit auch der verwendeten Schrift ist immer abhängig von der Anzahl der Generationen pro Seite. Da es bei der Anzahl der (möglichen) Personen pro Generation immer zu einer Verdoppelung kommt (8 Personen in der 4. Generation, 16 in der 5.), verkleinern sich die Personenrahmen auch jeweils um die Hälfte!
Mit dem Button "Optionen..." können diverse Einstellungen insbesondere auch zur Auswahl der darzustellenden Personengruppe unter "Ahnentafel (Poster)" und "Stammtafel (Poster)" getroffen werden. Um die Auswahl zu vereinfachen gibt es vordefinierte Szenarien, die bestimmte Optionen vorbelegen.

Folgende Szenarien gibt es dabei zur Auswahl:

Ahnentafel ("Stil") bzw. Sanduhr ("Ahnen"):

  • klassisch - Darstellung der direkten Vorfahren einer Person, also Eltern, Großeltern, Urgroßeltern, ...
  • klassisch mit Geschwister des Probanden - die direkten Vorfahren einer Person und dessen Geschwister
  • Schultafel (3 Generationen) - enthält Geschwister, deren Ehepartner und deren Kinder, wodurch dann auch die Cousins und Cousinen der Ausgangsperson dargestellt werden
  • Schultafel (4 Generationen) - wie die "Schultafel (3 Generationen)" ergänzt um die direkten Urgroßeltern
  • große Verwandtschaftstafel - verwendet alle Ahnentafel-Optionen, die eine größtmögliche Anzahl an darzustellenden Personen ergeben
  • benutzerdefiniert - zeigt an, dass eigene Optionen eingestellt wurden

Stammtafel ("Stil") bzw. Sanduhr ("Stamm"):

  • klassisch - zeigt immer alle Kinder, verfolgt aber nur die männlichen Nachkommen weiter - somit eine Darstellung nur der "echten" Namensträger einer Familie
  • einfache Nachfahren - es werden alle Kinder und Kindeskinder unabhängig vom Geschlecht weiterverfolgt und dargestellt
  • Nachfahren mit Ehepartner - alle Nachfahren zusammen mit ihren Ehepartnern
  • große Verwandtschaftstafel - verwendet alle Stammtafel-Optionen, die eine größtmögliche Anzahl an darzustellenden Personen ergeben
  • benutzerdefiniert - zeigt an, dass eigene Optionen eingestellt wurden

Weitere Einstellungen für die grafische Darstellung, die direkt im Tafeldruck-Dialog erreichbar sind:

  • Daten/Auswahl: erlaubt eine Auswahl der zu druckenden Informationen
  • nur Rufnamen: Wird diese Option eingeschaltet, dann wird statt allen Vornamen nur der Rufname gedruckt. Dadurch vermeidet man u.U. überlange Vornamenszeilen, die zu einer Verkleinerung der Schrift aller Personenrahmen führt. Ist also die Schrift in den Personenrahmen zu klein, dann einmal mit dieser Option (die standardmäßig gesetzt ist) ausprobieren.
  • Ortstexte kürzen: druckt die Ortstexte nur bis zum ersten Komma, Semikolon oder Schrägstrich (aus "Heide/Kreis Dithmarschen" wird dann nur "Heide"), um ggf. die Schriftgröße nicht allzu sehr verkleinern zu müssen
  • "..." bei unbekanntem Datum: ersetzt fehlende Datumsangaben durch drei Punkte, wodurch sich z.B. erkennen lässt, ob eine Person bereits verstorben ist ("..." statt Leerzeile)
  • alternativ Taufe/Begräbnis: zeigt bei unbekanntem Geburts- bzw. Sterbedatum stattdessen Tauf- bzw. Begräbnisdaten
  • nur Jahreszahl: stellt statt kompletten Datumsangaben wenn möglich nur die Jahreszahlen dar
  • mit Bild: druckt in jedem Personenrahmen über den Text das erste Bild aus - ist kein Bild vorhanden, so bleibt der Platz leer
  • Personenrahmen: aus einer Auswahl von verschiedenen Designs
  • Schriften/Überschrift: die Schriftgröße und -farbe ist immer gleich!
  • Schriften/Rahmen: Schriftgröße abhängig von Art der Texte und Größe der Rahmen

Wurde die zu erstellende Tafel ausgewählt, so erscheint ein Auswahldialog, in dem man eine Person auswählt. Bei der Ahnentafel ist dieses die Person, deren Vorfahren man darstellen will (also "der Jüngste").

Danach erscheint eine Vorschau der gewünschten Tafel. Man kann alle Seiten durchblättern, die Darstellungsgröße verändern und auch die Tafel drucken.

Ein Export der Tafel ist bei den "Poster-Varianten" möglich (diverse Grafikformate).

Tipp 1: Um die Seiten optimal auszunutzen empfiehlt es sich bei der Ahnentafel im Querformat zu drucken. Dieses stellt man unter Datei / Drucker einrichten... ein oder auch später in der Druckvorschau.

Tipp 2: Innerhalb der Personenrahmen kann die Schrift unter Umständen sehr klein werden. Die Größe der Schriftart bestimmt Ahnenblatt automatisch aus der Größe der Personenrahmen und der längsten zu druckenden Zeile. Es kann dabei hilfreich sein nur die Rufnamen / Jahreszahlen zu drucken, Ortstexte zu kürzen oder die Lesbarkeit durch Auswahl einer serifenlosen Schrift, wie z.B. Arial, zu erhöhen. Sollte selbst dieses nichts nützen, so sollte man die Anzahl der Generationen pro Seite verringern (bei der Ahnentafel) oder die Breite der Personenrahmen erhöhen (Postervarianten).


Suchen

Suchen...

Weitersuchen

Ersetzen...


Suchen/Suchen...

Hier kann einer oder mehrere Suchbegriffe eingegeben werden, nach denen alle Personen durchsucht werden sollen. Dabei werden zwei Varianten unterschieden, nämlich das einfache "Suchen" und die "Suchliste".

Bei der einfachen Suche gibt man direkt einen oder mehrere (durch Leerzeichen getrennt) Suchbegriffe ein.

Als Option kann man die 'Phonetische Suche' hinzuschalten, die auch nach Wörtern mit ähnlicher Aussprache sucht. So findet eine Suche nach 'Maier' auch die Wörter 'Meier' und 'Meyer'.

Des weiteren gibt es drei Suchvarianten:

  • alle Wörter: jedes der Wörter muss bei der Person gefunden werden
  • eines der Wörter: es reicht, wenn nur ein Wort bei der Person gefunden wird
  • genauer Text: dabei wird der gesamte Suchbegriff inklusive Leerzeichen gesucht
Weiterhin gibt es die Option 'Übereinstimmung im kompletten Datenfeld', womit die Datenfelder auf komplette Übereinstimmung mit dem Suchbegriff geprüft werden.

Hier werden die Suchbegriffe zeilenweise eingegeben. Zusätzlich können die Suchbegriffe gespeichert und auch geladen werden (*.sb).

Als eine dritte Variante gibt es dann noch das "Ersetzen". Näheres dazu unter Ersetzen....

Unter "Optionen..." können weitere Einstellungen zur Suche gemacht werden (siehe Extras/Optionen... [Suche]). So ist es z.B. möglich einen Suchbegriff "Bauer" bzgl. des Berufsfeld auszuschließen, so dass nur entsprechende Namensträger und nicht Landwirte gefunden werden.

Nach erfolgreicher Suche werden die gefundenen Personen entweder in einer separaten Liste angezeigt (wenn Option "Trefferliste vorab anzeigen" gesetzt war) oder es wird direkt die erste der gefundenen Personen angezeigt.

Die Option "geschlossene Suchgruppe" zeigt nur noch die Personen an, die den Suchkriterien entsprechen.


Suchen/Weitersuchen

Wiederholt die Suche basierend auf die Eingaben unter Suchen... und zeigt die gefundenen Personen an.


Suchen/Ersetzen...

Das "Ersetzen" funktioniert prinzipiell wie die Suche, allerdings wird der gesamte Begriff unter "Suchen nach" wie ein Wort betrachtet. Das Vorkommen dieses Wortes wird dann durch das bei "Ersetzen durch" eingegebene ersetzt. Es gelten dabei auch die "Optionen", so dass sich das Ersetzen auf bestimmte Felder einschränken lässt.

Ist ausgewählt, dass vorab eine Trefferliste angezeigt wird, dann wird die Ersetzung nicht sofort durchgeführt. Erst wenn in der Trefferliste "Alles Ersetzen" angeklickt wird, geschieht die eigentliche Ersetzung. Ohne Trefferliste findet die Ersetzung sofort statt.


Extras

Gemeinsamer Vorfahr...

Alle Bilder/Dateien zeigen

Statistik

Kalender...

Bilder/Dateien neu zuordnen...

Optionen...


Extras/Gemeinsamer Vorfahr...

Man wählt zwei Personen aus und bekommt danach den (ersten) gemeinsamen Vorfahren dieser Personen angezeigt (wenn es einen gibt).

Dadurch ist z.B. erkennbar, ob zwei Personen der gleichen Generation angehören, da alle direkten Vorfahren bis zum gemeinsamen Vorfahren angezeigt werden.

Nun kann man durch Anklicken eines Personenfeldes direkt eine Person als Zentralperson für den Navigator auswählen.


Extras/Alle Bilder/Dateien zeigen...

Anzeigen aller Bilder der momentan geöffneten Datei.


Extras/Statistiken

Folgende Statistiken können erstellt werden:

  • Geschlechter - unterteilt in "männlich", "weiblich" und "Rest". Die Personen, deren Geschlecht nicht ermittelt werden konnte (dafür gibt es eine Automatik in Ahnenblatt), werden als "Rest" geführt.
  • Geburtsnamen - hier werden die Vorkommen der einzelnen Geburtsnamen ausgewertet.
  • Vornamen - Auswertung der Vorkommen der einzelnen Vornamen aller Personen.
  • Orte - alle vorkommenden Ortsangaben werden berücksichtigt.
  • Berufe - Statistik über alle vorkommenden Berufe.
  • Konfessionen - Statistik über alle vorkommenden Konfessionen.
  • Lebend - zeigt an, welcher Anteil der eingegebenen Personen noch lebt und welcher bereits verstorben ist
  • Anzahl Kinder - Anzahl der Kinder jeder einzelnen Person
  • Alter (Lebende) - das Alter in 10er Blöcken zusammengefasst (0-9, 10-19, 20-29, ...) nur der lebenden Personen
  • Alter (Verstorbene) - das Alter in 10er Blöcken zusammengefasst (0-9, 10-19, 20-29, ...) nur der verstorbenen Personen
  • Alter bei Heirat (weiblich) - das Alter in 5er Blöcken zusammengefasst (0..4, 5..9, 10..14, ...) der Ehefrauen bei Ihrer Hochzeit
  • Alter bei Heirat (männlich) - das Alter in 5er Blöcken zusammengefasst (0..4, 5..9, 10..14, ...) der Ehemänner bei Ihrer Hochzeit
  • Alter bei erstem Kind (weiblich) - das Alter in 5er Blöcken zusammengefasst (0..4, 5..9, 10..14, ...) der Frauen bei der Geburt des ersten Kindes
  • Alter bei erstem Kind (männlich) - das Alter in 5er Blöcken zusammengefasst (0..4, 5..9, 10..14, ...) der Männer bei der Geburt des ersten Kindes
Der Statistikdialog enthält drei Laschen "Grafik", "Tabelle" und "Begriffe". Während "Grafik" eine Tortengrafik anzeigt und "Begriffe" eine tabellarische Übersicht, ist unter "Begriffe" eine Auflistung der gefundenen Begriffe zu sehen. Diese sind nicht nur in unterschiedlicher Größe dargestellt (abhängig von der Häufigkeit), sondern man gelangt durch Klicken direkt zur betreffenden Personengruppe.

Die Statistiken lassen sich Speichern in den Formaten .csv (die Tabelle - z.B. zum Auswerten in der Tabellenkalkulation), .bmp, .gif, .jpg, .tif und .png (die Grafik - z.B. für die eigene Website).

Generelles zu den Ahnenblatt-Statistiken:

  • Die Anzahl der in der Statistik berücksichtigten Einzelwerte muss nicht der Anzahl der Personen entsprechen. So werden bei der Statistik "Geburtsnamen" Personen mit leeren Geburtsnamen-Feld nicht mitgezählt. Bei "Vornamen" werden alle einzelnen Vornamen berücksichtigt (durch Leerzeichen getrennt). Ebenso finden sich "Orte" in mehreren Personenfeldern (Geburtsort, Sterbeort, Hochzeitsort, ...).
  • Es werden nur maximal die ersten acht Werte angezeigt. Alle übrigen werden in der Grafik als "Rest" geführt. Detailliertere Angaben finden sich unter der Lasche "Details" (dort alle Werte - nicht nur die ersten acht).
  • Die Prozentangaben auf der Grafikseite sind gerundet und müssen nicht immer genau 100% ergeben. Man stelle sich vor es gibt genau 50,5% männliche und 49,5% weibliche Personen. Auf der Grafikseite würde dann (gerundet) 51% für "männlich" und 50% für "weiblich" erscheinen.
  • zur Bestimmung, ob eine Person, bei der kein Sterbedatum vermerkt ist, noch lebt ("Lebend") oder das Alter lebender Personen ("Alter (Lebend)"), wird das "maximale Alter einer Person" unter Extras/Optionen.../Plausibilitätsprüfung verwendet. Sollten sich also in den Statistiken zu alte Personen befinden, so kann es sinnvoll sein, das Maximalalter in den Optionen zu verringern oder auch bei als verstorben bekannte Personen bei unbekanntem Sterbedatum und -ort einfach ein "..." als Sterbedatum einzutragen.


Extras/Kalender...

Anzeigen eines Kalenders, mit dessen Hilfe man z.B. den Wochentag eines beliebigen Datums bestimmen kann.


Extras/Bilder/Dateien neu zuordnen...

Generell merkt sich Ahnenblatt bei Bildern und Dateien, die den Personen zugeordnet werden, nur einen Verweis auf die Datei. Werden Bilder/Dateien zu einem späteren Zeitpunkt verschoben, dann kann es dazu führen, dass diese dann nicht mehr gefunden.

Über diese Funktion kann das neue Bilder/Datei-Verzeichnis ausgewählt werden. Ahnenblatt sucht in diesem Verzeichnis nach gleichnamigen Bildern und merkt sich für diese das neue Verzeichnis.

Diese Funktion ist auch sinnvoll, wenn Bilder/Dateien, die Personen zugewiesen wurden, verstreut auf der Festplatte liegen. Kopiert man diese alle manuell in ein neues Verzeichnis und ruft diese Funktion auf, dann werden alle Dateiverweise angepasst.


Extras/Optionen...

Hier können Programm-Einstellungen vorgenommen werden:

Allgemein

Verzeichnisse

Suche

Drucken

GEDCOM-Import

Datenschutz

Dateiverknüpfung

Plausibilitätsprüfung


Extras/Optionen... [Allgemein]

Allgemein:

  • die letzte 5 benutzten Dateien im Datei-Menü anzeigen: zeigt die 5 zuletzt geöffneten Dateien unter dem Menüpunkt Datei an
  • Groß-/Kleinschreibung in Personen-Suchfeldern: es wird zwischen Groß- und Kleinschreibung in Personen-Suchfeldern unterschieden
  • Versionsfenster beim Programmstart zeigen: zeigt beim Starten des Programmes für 2 Sekunden ein Programmfenster mit der Version des Programmes an
  • Automatisches Vervollständigen von Eingabefeldern: Sorgt dafür, dass bei der Datenpflege in einem Feld des Eingabedialogs der Text anhand der bereits eingetragenen Feldinhalte bei anderen Personen vervollständigt wird. Dieses gilt für die Felder Geburtsname, Beruf, Konfession und alle Ortsfelder. Dieses erspart Tipparbeit und sorgt automatisch dafür, dass Eingabefehler vermieden werden.
  • beim Programmstart zuletzt benutzte Datei laden: Diese Option sorgt dafür, dass beim erneuten Start von Ahnenblatt die zuletzt benutzte Familie automatisch geladen wird.
  • große Symbole in der Symbolleiste: Diese Option sorgt dafür, dass in der Symbolleiste des Hauptfensters große oder kleine Symbole angezeigt werden.
  • Symboltexte in der Symbolleiste: Diese Option schaltet Texte in der Symbolleiste des Hauptfensters ein bzw. aus zur einfacheren Zuordnung.
  • nur Rufnamen bei Geschwister/Ehen/Kinder: Beim Anlegen von neuen Personen werden einige Datenfelder aufgrund der Daten der Ausgangsperson durch Ahnenblatt gefüllt. Durch diese Option kann bestimmt werden, ob in den Feldern in bestimmten Laschen des Eingabedialogs nur der Rufname, oder alle Vornamen eingetragen werden. Diese Einstellung bestimmt dabei nur, wie neue Datenfelder behandelt werden sollen. Dabei werden allerdings vorhandene Eintragungen nicht nachträglich geändert. Um die Datenfelder nachträglich anzupassen, wählt man die Funktion Bearbeiten/Daten angleichen....
  • keine Geburtsnamen bei Geschwister/Kinder: Hierdurch wird wiederum bestimmt, wie die Ahnenblatt-Automatik bestimmte Datenfelder füllt. Soll der Geburtsname zusätzlich in Kinder- und Geschwister-Felder eingetragen werden, oder nicht? Diese Einstellung bestimmt dabei nur, wie neue Datenfelder behandelt werden sollen. Um die Datenfelder nachträglich anzupassen wählt man die Funktion Bearbeiten/Daten angleichen....
  • Bilder im Navigator ausblenden: Dieses kann sinnvoll sein, wenn der Personenwechsel im Navigator zu langsam ist. Grund kann sein, dass entweder die Bilder zu groß sind oder der Rechner generell zu langsam ist.
  • nur Rufnamen im Navigator: Hiermit kann bestimmt werden, ob alle Vornamen oder nur der Rufnamen in den Personenfeldern des Navigators erscheinen.
  • Einsegnung als Konfirmation/Kommunion behandeln: Diese Option spielt eine Rolle bei der Plausibilitätsprüfung und beim Speichern einer Datei im GEDCOM-Format. Diese Option sollte man nur ausschalten, wenn die Eingabefelder für "Einsegnung" für andere Zwecke verwendet werden als Konfirmation/Kommunion (evtl. regional bedingte abweichende Interpretation des Begriffes "Einsegnung").
  • Gedcom Import Bericht automatisch nach dem Laden zeigen: Durch diese Option wird der Gedom Import Bericht nach dem Laden einer Gedcom-Datei angezeigt, vorausgesetzt es ist die Option "Infotext nach dem Laden einer Familie" unter Optionen/Verzeichnisse ausgewählt.
  • beim Löschen von Personen auch die kompletten Verweise entfernen: wird eine Person gelöscht, dann werden nicht nur die Verweise anderer Personen auf diese Person gelöscht, sondern auch die Namenseinträge mit entfernt.
  • Warnung, wenn "Neue Person" zur bestehenden Familie: der standardmäßig eingeblendete Infotext kann an dieser Stelle abgeschaltet werden
  • Meldung beim Beenden der Funktion "Familie sortieren": die Endemeldung beim Sortieren kann hier abgeschaltet werden
  • Namensänderungen auch bei Personenverweise anpassen: wird nachträglich Geburts- oder Vornamen einer Person geändert, dann werden automatisch die Einträge bei den verbundenen Personen (Eltern, Kinder, Geschwister, Partner) angepasst
  • Nachfrage, beim Hinzufügen von Bildern bzgl. Wechseldatenträger: fragt nach, wenn Bilder einer Person hinzugefügt werden, die von einem Wechseldatenträger (CD, USB-Stick) stammen, ob diese auf die Festplatte kopiert werden sollen.
  • Nachfrage, wenn neue Person im Eingabedialog angelegt wird: erzeugt eine Nachfrage, falls im Eingabedialog einer Person auf einen Personen-Button ("Vater", "Mutter", "1.", "2.", ...) geklickt wird, dem noch keine Person zugeordnet ist.
  • Nachfrage, wenn HTML-Export ohne Datenschutz: HTML-Dateien, die man auf einer eigenen Webseite im Internet veröffentlichen will, sollten keine Daten von lebenden Personen enthalten, ohne die betreffenden Personen vorher um Erlaubnis zu fragen. Daher kommt standardmäßig dazu eine Nachfrage, falls die Datenschutz-Option nicht aktiviert wurde.
  • Warnung, wenn nicht alle Daten als CSV-Datei gespeichert werden können: Ahnenblatt kann die eingegebenen Ahnendaten als CSV-Datei speichern und auch laden. Es lassen sich allerdings nicht alle Daten in das 'tabellenähnliche' CSV-Format umwandeln. So ist es z.B. nicht möglich die Daten der Ortsverwaltung oder den Ersteller der Datei in der CSV-Datei zu speichern.
  • Nachfrage, wenn in der Ortsverwaltung ein Ortsname geändert wurde: falls man versehentlich den Ortsnamen ändert erhält man noch mal einen Hinweis, ob die Änderung durchgeführt werden soll
  • Automatische Datumskorrektur während der Eingabe: dadurch werden Datumseingaben beim Verlassen des entsprechenden Datumsfeldes in das durch das Betriebssystem vorgegebene Kurzformat (z.B. TT.MM.JJJJ) konvertiert.
  • Hintergrundfarbe des Navigators: Hier kann man die Farbe des Navigatorhintergrundes festlegen. Die Farbe lässt sich ebenfalls über die Menüfunktion Ansicht/Navigatorfarbe festlegen... ändern.


Extras/Optionen... [Verzeichnisse]

Verzeichnisse:

  • Verzeichnis der Familiendateien - Startverzeichnis bei Datei/Öffnen...
  • Verzeichnis der Suchbegriffdateien
  • Verzeichnis der Ausgabedateien
  • Verzeichnis der Bilddateien - Startverzeichnis beim Bilder hinzufügen
  • Verzeichnis der Tafelhintergründe - Verzeichnis in dem Bilddateien für Tafelhintergründe liegen (einstellbar unter Extras/Optionen.../Drucken)
  • Infotext nach dem Laden einer Familie: zeigt die Anzahl der Personen nach dem Laden einer Familie an
  • Anzahl der Backupdateien, die aufgehoben werden: Ist hier eine Zahl größer als Null eingestellt, so wird beim Speichern eine bereits vorhandene Ahnendatei (.ahn) in eine Backup-Datei umbenannt (.bak). Insgesamt können dabei die letzten X Dateistände aufgehoben werden, auf die man auch wieder zugreifen kann, falls versehentlich Fehleingaben oder Löschungen vorgenommen wurden (siehe Öffnen...).
  • Speichern von Wiederherstellungsinfos alle X Minuten: Dadurch werden in regelmäßigen Abständen die Familiendaten gespeichert, sofern Änderungen vorgenommen wurden. Sollte durch ein Versehen der Rechner abgeschaltet werden ohne vorher gespeichert zu haben oder es kommt zu einem Stromausfall, dann werden beim nächsten Start des Programmes vorhandene Wiederherstellungsinfos auf Wunsch geladen und der mögliche Datenverlust kann dadurch minimiert werden.


Extras/Optionen... [Suche]

Suche:

  • Suchbereich - bestimmt die Datenfelder in denen gesucht wird
  • Übereinstimmungen - müssen alle Suchbegriffe gefunden werden oder reicht einer
  • nur ganze Wörter - dann werden keine Wortteile gefunden (z.B. 'Bauer' findet nicht 'Bauernhof')
  • Groß-/Kleinschreibung - kann bei Bedarf bei der Suche berücksichtigt werden
Diese Einstellungen können auch unter Suchen... erreicht werden.


Extras/Optionen... [Drucken]

Hier finden sich sehr umfangreiche Einstellmöglichkeiten zum Drucken.

Folgende Unterkategorien sind zu finden:

  • Allgemein: hier werden Kurzzeichen für Ereignisse und Seitenränder festgelegt. Die Seitenränder gelten für Listen und seitenbasierte Tafeln.

  • Listen: spezielle Einstellungen für Listen (wie z.B. Schriftgröße)

  • Tafeln: spezielle Einstellungen für alle Tafelvarianten (z.B. Überschrift und Hintergrundbild)

  • Hintergrund: hier kann ein Hintergrundbild oder eine Hintergrundfarbe ausgewählt werden

  • Bilder: Einstellungen für Personenbilder, wobei bei Personen, bei denen kein Bild hinterlegt wurde, Standardbilder vorgegeben werden können

  • Ahnentafel (Poster): Einstellungen für Ahnentafel (Poster) zur Auswahl der darzustellenden Personengruppen

  • Stammtafel (Poster):Einstellungen für Stammtafel (Poster) zur Auswahl der darzustellenden Personengruppen


Extras/Optionen... [GEDCOM-Import]

Datumsformat: Ahnenblatt verwendet in allen Datumsfeldern reine Textfelder. In welcher Form Datumsangaben beim Öffnen einer Gedcom-Datei übernommen werden sollen, kann hier bestimmt werden.

Voreinstellung ist das in Windows eingestellte "Kurzes Datumsformat". In der Regel wird man hier nichts einstellen müssen.


Extras/Optionen... [Datenschutz]

Diese Einstellungen haben Einfluss auf das Speichern im HTML-Format (HTML-Seite, HTML-Website). Dazu findet sich im HTML-Optionen-Dialog, der vor dem Speichern erscheint, ein Schalter, der den Datenschutz ein- und ausschalten kann.

Will man nämlich HTML-Dateien öffentlich im Internet präsentieren, so sollen Daten noch lebender Personen nicht in voller Detaillierung gezeigt werden.

Eine besondere Rolle kommt noch dem Feld "Lebende / max. Alter" zu, da es zusätzlich für die Ereignisliste (Option "nur Lebende") und die Plausibilitätsprüfung verwendet wird.


Extras/Optionen... [Dateiverknüpfung]

Hier kann bestimmt werden, ob die Datenformate .ahn (Ahnendatei) und .ged (GEDCOM-Datei) mit Ahnenblatt verknüpft werden sollen. D.h. nichts anderes, als dass bei einem Doppelklick z.B. einer .ahn-Datei im Windows Explorer diese Datei gleich von Ahnenblatt geöffnet wird.

Abweichende Einstellungen für GEDCOM-Dateien können sinnvoll sein, wenn man mit mehreren Ahnenforschungsprogrammen arbeitet (die alle mit .ged-Dateien umgehen können).

Es existieren die Einstellungen ...

  • nicht mit Ahnenblatt verknüpfen
  • falls unverknüpft mit Ahnenblatt verknüpfen
  • immer mit Ahnenblatt verknüpfen
Diese Einstellungen werden beim Programmstart von Ahnenblatt ausgewertet und entsprechend Windows mitgeteilt.

Eine sofortige Verknüpfung erreicht man durch Klick auf "Jetzt verknüpfen".


Extras/Optionen... [Plausibilitätsprüfung]

  • bereits während der Eingabe prüfen: weist auf Fehler in der Plausibilität hin, sobald eine Person geschlossen oder zu einer anderen Person gewechselt wird.
  • auf doppelte Personen prüfen: es wird auf doppelte Personen hingewiesen, wobei zwei Personen als identisch gelten, wenn sie den gleichen Geburtsnamen, die gleichen Vornamen und mindestens gleiches Geburts- oder Todesdatum haben.
  • auf vorhandene Bilder/Dateien prüfen: durch diese Option werden nicht gefundene Dateien, die den Personen zugeordnet wurden, gemeldet. Arbeitet man allerdings mit einer "fremden" Datei, zu der man nicht die Bilddateien besitzt, so können diese Hinweise störend sein. Daher lässt sich dieses auch abschalten.
  • auf unbekanntes Geschlecht prüfen: damit werden Personen gemeldet, bei denen als Geschlecht "unbekannt" eingetragen ist
  • Personen ohne Verweise melden: dadurch werden Personen gemeldet, die keinen Verweis zu anderen Personen haben. Da dieses durchaus beabsichtigt sein kann, da evtl. Personendaten gesammelt werden, die sich vielleicht erst später als miteinander verwandt herausstellen, kann man dieses auch abstellen.
  • Anzahl Unterstriche im Vornamen prüfen: den Unterstrichen im Feld Vornamen kommt eine besondere Bedeutung zu, da sie den Rufnamen kennzeichnen (z.B. "Vorname1 _Vorname2_ Vorname3"). Sie dürfen daher nur paarweise auftreten - entweder gar nicht oder genau zweimal. Da es sich bei einzelnen oder mehr als zwei Unterstrichen um Fehleingaben handeln kann, kann man sich diese melden lassen.
  • prüfen, ob Datumsfelder in Zukunft liegen: erzeugt Meldungen, falls bei der Datumseingabe versehentlich ein in der Zukunft liegendes Datum eingegeben wurde (z.B. fünfstellige Jahreszahl).
  • prüfen, ob Datumsfelder GEDCOM-konform konvertierbar sind: dabei wird geprüft, ob sich die Datumsangaben in ein standardkonformes GEDCOM-Format konvertieren lassen, was nur beim Speichern im GEDCOM-Format eine Rolle spielt. Als GEDCOM-konform können Datumsangaben bezeichnet werden, bei denen Tag/Monat/Jahr in Zahlen angegeben sind (z.B. 31.12.1999), Datumsangaben bestehend nur aus Monat/Jahr (z.B. 12.1999), nur Jahreszahlen (z.B. 1999) oder auch Kombinationen mit den Vorworten 'um' (z.B. um 1999), 'geschätzt' (z.B. geschätzt 1999), 'vor' (z.B. vor 1999), 'nach' (z.B. nach 31.12.1999), 'von ... bis ...' (z.B. von 1999 bis 2010) oder auch 'zwischen ... und ...' (z.B. zwischen 10.12.1999 und 31.12.1999). Davon abweichende Datumsangaben (z.B. Herbst 1999) werden zwar in einer GEDCOM-Datei korrekt gespeichert, können aber beim Öffnen in einem anderen Programm zu Problemen führen (Änderung oder Ignorierung der Datumsangabe).

Weiterhin können noch mehrere Altersgrenzen festgelegt werden:

  • Mindestalter bei Geburt eines Kindes
  • Höchstalter der Mutter bei Geburt eines Kindes
  • Höchstalter des Vaters bei Geburt eines Kindes
  • Mindestalter bei Eheschließung
  • Maximale Altersdifferenz zwischen Ehepartnern
  • Maximale Altersdifferenz zwischen Geschwistern
  • maximales Alter einer Person


Tools

Die unter diesem Menüpunkt angezeigten Funktionen werden dynamisch beim Programmstart angelegt (teilweise abhängig von der verwendeten Windows-Version oder von installierten Zusatztools) und standardmäßig werden mit Ahnenblatt folgende Funktionen ausgeliefert:

  • CD brennen: Sofern eine Ahnendatei geöffnet ist, wird hiermit ein Verzeichnis erzeugt, in das eine HTML-Website, die Ahnendatei selbst (*.ahn), die Daten im Gedcom-Format (*.ged), eine Autostart- und eine Icon-Datei geschrieben werden. Diese Daten kann man dann auf eine CD brennen (entsprechendes Programm muss separat vorhanden sein). Beim Einlegen der fertigen CD wird dann automatisch die HTML-Website geöffnet und man kann auch ohne Ahnenblatt installiert zu haben sich die Daten anschauen.
  • CD brennen [Windows]: Dieser Menüpunkt ist nur ab Windows XP sichtbar und schreibt die gleichen Dateien zum Brennen auf CD. Zum Brennen der CD wird dabei aber kein eigenes Programm benötigt, sondern es reicht eine leere CD einzulegen und Windows bringt dann einen Assistenten zum Brennen der Daten auf CD.
  • Zeichentabelle: Dieser Menüpunkt bringt das gleichnamige Windows-Programm (Bestandteil von Windows) und ist ab Windows NT sichtbar. Damit können internationale Sonderzeichen ausgewählt und kopiert werden, um sie in Eingabefelder von Ahnenblatt zu kopieren - daher ist dieser Menüpunkt erst ab Windows-Versionen verfügbar, die über Unicode-Support verfügen.
Diese Funktionen enthalten teilweise eigene Hilfstexte, die weiterführende Informationen bieten.

Weitere Tools können zusätzlich installiert werden, die unter www.ahnenblattportal.de zu finden sind ('Downloads/Plugins').

Da diese Tools nicht direkter Bestandteil von Ahnenblatt sind, ist für die korrekte Funktionsweise der Tools dann immer der jeweilige Autor verantwortlich.


Sprache

Hier sind alle installierten und verfügbaren Sprachpakete aufgeführt.

Durch Auswahl einer der Sprachen wird die Benutzeroberfläche von Ahnenblatt umgestellt, was einige wenige Sekunden dauert.

Somit lassen sich auch fremdsprachige Ausgaben erzeugen (z.B. Listen).


?

Inhalt

Tipps zur Eingabe...

Willkommen...

Ahnenblatt Webseite

Ahnenblatt-Support Webseite

Info...


?/Inhalt

Zeigt diese Hilfe an.


?/Tipps zur Eingabe...

Man gelangt direkt in diese Hilfe zu dem Thema Wie sollte man mit der Eingabe der Familiendaten beginnen ?.


?/Willkommen...

Zeigt einen Menüdialog, der auch beim Start von Ahnenblatt gezeigt wird, mit den Funktionen ...

  • letzte Datei öffnen: zeigt die zuletzt benutzte Datei, die direkt wieder geöffnet werden kann. Man kann aber auch zwischen den letzten fünf Dateien wählen.
  • neue Ahnendatei anlegen: legt eine ganz neue und leere Ahnendatei an
  • Ahnendatei öffnen: bringt den Dateidialog zum Öffnen einer beliebigen Ahnendatei
  • GEDCOM-Datei öffnen (z.B. aus anderem Programm): bringt den Dateidialog zum Öffnen einer beliebigen GEDCOM-Datei. Wurden bereits Familiendaten in einem anderen Programm eingegeben, so kann man diese zumeist im GEDCOM-Dateiformat exportieren, um die Daten mit Ahnenblatt zu öffnen.
  • Beispiel-Datei öffnen: bietet vorhandene Beispieldateien zum Öffnen an, um mit diesen Daten die Ahnenblatt-Funktionen schon mal ausprobieren zu können
  • Ahnendatei auf dem Rechner suchen: bringt einen neuen Dialog, der das Durchsuchen des eigenen Rechners nach vorhandenen erlaubt. Dieses ist u.a. sehr hilfreich, wenn mit anderen Programmen GEDCOM-Dateien erzeugt, sich aber nicht merken konnte, in welchem Verzeichnis diese gespeichert wurden.
  • Hilfethema "Wie sollte man mit der Eingabe der Familiendaten beginnen?": verzweigt direkt in die Programmhilfe, um Tipps zur Eingabe anzuzeigen. Dieses ist besonders empfehlenswert, wenn man die Dateneingabe mit Ahnenblatt erstmalig beginnt.
  • Programmhilfe aufrufen: ruft die Programmhilfe mit der Startseite auf.
  • Ahnenblatt-Webseite aufrufen: ruft die Ahnenblatt-Webseite auf, um z.B. nach einer neuen Programmversion zu schauen.
  • Ahnenblatt-Support-Webseite aufrufen: der direkte Weg zur Support-Webseite von Ahnenblatt, wo man sich Tipps und Anregungen von anderen Ahnenblatt-Anwendern bekommen kann.


?/Ahnenblatt Webseite

Öffnet die Ahnenblatt Webseite www.ahnenblatt.de im Standard-Internet-Browser.


?/Ahnenblatt-Support Webseite

Öffnet die Ahnenblatt-Support Webseite www.ahnenblattportal.de im Standard-Internet-Browser.


?/Info...

Hier finden Sie die Versionsnummer des Programmes, die Internetadresse der Ahnenblatt-Webseite an der die immer die aktuellste Programmversion zu finden ist und die E-Mail-Adresse des Autoren um evtl. Tipps und Anregungen weitergeben zu können.

Mit einem Mausklick kann man entweder zur Ahnenblatt-Webseite www.ahnenblatt.de oder einem E-Mail-Programm verzweigen.


Tipps & Tricks

Wie sollte man mit der Eingabe der Familiendaten beginnen ?

Wie funktioniert das Drucken ?

Familiendaten an andere weitergeben

Erstellung einer Spitzenahnenliste

Ahnen als Website speichern

Hintergrundbild für Website

Öffnen von Ahnendateien direkt aus dem Windows-Startmenü

Drag & Drop Unterstützung

Wie kann man Daten aus einer Tabellenkalkulation importieren ?

Wie kann man Daten aus dem Programm Familien-Chronik [Data Becker] importieren ?

Ehemalige Tipps des Tages


Wie sollte man mit der Eingabe der Familiendaten beginnen ?

Zu Beginn ruft man die Funktion Datei / Neu auf. Dadurch wird eine eventuell bereits geöffnete Ahnendatei geschlossen und der Eingabedialog zur Anlage einer neuen Person (nämlich der ersten) angezeigt.

Man füllt jetzt alle Felder nach besten Wissen aus, beginnend mit den Personenfeldern (Geburtsname, Vornamen, ...), den Eltern (Vater, Mutter), Geschwister, Ehen, Kinder, Taufe, Einsegnung/Begräbnis, Anmerkungen und Quellen. Sollten einige Daten nicht unmittelbar vorliegen, so ist dieses kein Problem. Die Eingaben können zu jedem späteren Zeitpunkt korrigiert oder auch ergänzt werden.

Einige Empfehlungen zu den einzelnen Eingabefeldern:

  • Geburtsname - In der Ahnenforschung beschränkt man sich auf den urkundlich (Kirchenbuch/Standesamt) erwähnten Geburtsnamen. Dieser ist eindeutig und über die Lebenszeit unveränderlich. Der Familienname kann sich über die Lebenszeit einer Person durch Heirat, Scheidung oder Tod des Ehepartners ändern. Sollte der Geburtsname nicht bekannt sein, so empfiehlt es sich aus optischen Gründen "..." einzugeben.
  • Vornamen - Alle Vornamen einer Person durch Leerzeichen getrennt. Ahnenblatt geht davon aus, dass der erste Vorname der Rufname ist (wird in bestimmten Optionen benutzt). Ist nicht der erste Vorname der Rufname, so kann dieser im Eingabefeld 'Rufname' unter der Lasche 'Name' eingetragen werden.
  • Weitere Namensfelder - Unter der Lasche 'Name' finden sich weitere Eingabefelder für Namensteile, wie 'Titel/Präfix' (z.B Freiherr, Doktor), 'vor Geburtsname' (z.B. 'da' wie in 'Leonardo da Vinci' oder 'von der' wie in 'Walter von der Vogelweide'), 'Anhang/Suffix' (z.B. 'Senior' wie in 'George Bush Senior' oder 'III.' wie in 'Bill Gates III.'), 'Spitzname' und 'Rufname' (muss ein Name der Geburtsnamen sein - wird in Listen und Tafeln unterstrichen dargestellt).
  • Datumsfelder (geboren am, Ehe am, ...) - bevorzugt im 10-stelligen Format TT.MM.JJJJ (Monat als Zahl), also z.B. 15.09.1966. Führende Nullen bei Tag und Monat sind zwar nicht Bedingung, sorgen aber für eine einheitliche Optik. Das Jahr sollte immer 4-stellig eingegeben werden, da sich die Familie in der Regel über mehrere Jahrhunderte erstreckt. Sollten Teile des Datums nicht bekannt sein, können diese auch durch den Buchstaben X oder ein Fragezeichen ersetzt werden, also z.B. XX.05.1834 oder 03.04.172?. Da es sich bei den Datumsfeldern um Freitextfelder handelt, können auch Datumsangaben in Textform eingegeben werden z.B. "vor 1739", "um 1854", "im 2.WK". Allerdings wird dadurch eine Sortierung erschwert (vgl. dazu Bearbeiten/Familie sortieren). Statt einer Angabe "erster Sonntag im Mai 1732" sollte man daher das korrekte Datum ermitteln (hier: "04.05.1732").
  • Ortsfelder (in ...) - hier sollte man den Ort so präzise wie möglich eingeben. Ein einfaches "Neustadt" ist nicht sonderlich genau, da es diverse Städte dieses Namens in Deutschland gibt (oder ist gar ein anderes Land gemeint?). Wesentlich genauer wäre z.B. "Neustadt/Kreis Oldenburg (Schleswig-Holstein)". Dieses bedeutet zwar zunächst einen höheren Eingabeaufwand, ist aber von Vorteil, wenn Sie Listen oder Dateien mit anderen Ahnenforschern austauschen oder die Daten ins Internet stellen wollen. Alle Ortsfelder tragen ein nachfolgendes Symbol. Durch Klick auf dieses Symbol gelangt man direkt zur Ortsverwaltung und kann weitere Details eingeben.
  • Beruf - erlernter oder ausgeübter Beruf (bei mehreren durch Kommata getrennt).
  • Geschlecht - Auswahl des Geschlechtes (männlich, weiblich oder unbekannt). Hierbei handelt es sich um eine Pflichtangabe. Wurde kein Geschlecht eingegeben, so wird beim Schließen des Dialoges bzw. beim Wechsel zu einer anderen Person darauf hingewiesen.
  • Personenfelder (Eltern/Geschwister/Ehen/Kinder-Felder) - In diese Felder kann man nicht direkt den Text eingeben. Solange ein Personenfeld leer ist, reicht ein Mausklick auf das leere Feld, um die neue Person eintragen zu können. Eventuell kommt eine Nachfrage, ob wirklich eine neue Person angelegt werden soll (falls versehentlich auf das Feld geklickt wurde). Diese Nachfrage kann bei umfangreichen Neueingaben lästig sein und lässt sich daher abschalten. Es erscheint danach ein Eingabedialog für den Geburtsnamen und die Vornamen, die man ausfüllt und mit "OK" bestätigt. Danach kann man die Eingabe an der ursprünglichen Person fortsetzen. Hat man anstatt auf das Leerfeld auf den Personenbutton ("Vater", "Mutter", "1.", "2.", ...) geklickt, dann verzweigt man nach Eingabe des Namens der neuen Person direkt zu dieser Person, um dort weitere Eingaben vornehmen zu können. Ebenso verzweigt man durch Klick auf den Personenbutton zu einer bereits eingegebenen Person. Fehleingaben kann man durch Mausklick auf das rote Kreuz neben dem Namensfeld wieder löschen. Dabei wird die Verbindung zwischen beiden Personen gelöscht. Die eingetragene Person wird aber nicht gelöscht.
  • Eltern/Partner-Felder - Standardmäßig wird hier nach Eingabe einer neuen Person der Rufname und der Geburtsname angezeigt. Dieses wird durch die Option "nur Rufnamen bei Geschwister/Ehen/Kinder" vorgegeben (siehe Extras/Optionen... [Allgemein]). Vor jeder "Partner-Zeile" ist ein Button mit dem man einen weiteren Dialog öffnet, in dem man weitere Details, wie "verheiratet", "Scheidung" und "gleichgeschlechtlich" eingeben kann.
  • Geschwister/Kinder-Felder - Standardmäßig wird hier nach Eingabe einer neuen Person nur der Rufname angezeigt. Dieses wird durch die Option "keine Geburtsnamen bei Kinder/Geschwister" vorgegeben (siehe Extras/Optionen... [Allgemein]). Auch wenn im Eingabedialog nur zwölf Geschwister/Kinder vorgesehen sind, so erscheint auf der rechten Seite ein Scrollbalken, sobald alle Personenfelder gefüllt sind.
  • Konfession - Es gibt keine Vorgaben, wie dieses Freitextfeld ausgefüllt werden sollte. Ob man "evangelisch-lutherisch", "evangelisch" oder "ev." schreibt, ist reine Geschmackssache.
  • Taufe in der/zu - Sollte die Kirche bekannt sein, in der die Taufe vollzogen wurde, so kann diese hinter "in der" eingetragen werden (z.B. "St. Petri Kirche"). Hinter "zu" trägt man den Ort der Taufe ein.
  • Taufpaten - Diese werden in Freitextform alle aufgezählt (z.B. "Johann und Gerda Hoppenstedt, sowie die Nachbarin Karla Bach"). Sinnvoll ist es dabei den Originaltext einer Urkunde oder eines Kirchenbucheintrages zu übernehmen.
  • Einsegnung in der/zu - Einsegnung ist ursprünglich als Oberbegriff für Konfirmation/Kommunion gedacht gewesen, allerdings von einigen Ahnenblatt-Anwendern missverständlich für andere Zwecke verwendet worden. Sollte man hier keine Konfirmation/Kommunion eintragen (Datum, Kirche, Ort), so empfiehlt es sich die Option "Einsegnung als Konfirmation/Kommunion behandeln" abzuschalten (siehe Extras/Optionen... [Allgemein] - kann auch später geschehen), da es ansonsten bei der Plausibilitätsprüfung und dem Gedcom-Export zu Problemen kommen kann.
  • Anmerkungen - Hier können Besonderheiten der Personen eingegeben werden, wie z.B. "gewann 1934 im Lotto", "verlor im 2.WK ein Auge" oder auch komplette Lebensläufe. Hier ist genug Platz für Details, die in den anderen Feldern keinen Platz finden.
  • Quellen - In der Ahnenforschung ist es immer wichtig auch die Datenquellen zu kennen, um auch im Nachhinein nachvollziehen zu können, woher die gesammelten Daten stammen. Dieses ist um so wichtiger, wenn sich später Ungereimtheiten ergeben. Dazu können hier als Freitext Quellen der genannten Daten eingegeben werden (z.B. "mündliche Überlieferung von Frieda Wolf" oder "Taufeintrag 12/1832 Kirchenbuch Meldorf/Kreis Dithmarschen").
  • Bilder - Mittels "Hinzufügen..." können hier beliebig viele Bilder hinzugefügt werden. Alternativ lassen sich Bilder auch aus dem Windows Explorer per Drag&Drop einfügen. Zu jedem Bild kann man zusätzlich einen einzeiligen kurzen Text angeben, der das Bild erläutert (z.B. "im Alter von 35 Jahren", "vor seinem Gutshaus stehend" oder "Hochzeitsfoto aus dem Jahre 1834"). Ahnenblatt merkt sich dabei lediglich Verweise auf die Originalbilder. Diese sollten daher nicht auf entfernbaren Datenmedien sein (also keine Foto-CD), da diese u.U. nicht immer zur Verfügung steht. Sinnvoll ist es daher die Bilder in ein gemeinsames Verzeichnis zu kopieren. Weiterhin empfiehlt es sich die Bilder mittels Grafiksoftware zu verkleinern (z.B. 200 x 300 Pixel), was für eine schnelle Anzeige in Ahnenblatt und evtl. zu erstellenden HTML-Seiten sorgt und für die Darstellung durchaus ausreichend ist.
Will man jetzt Daten zu den verwandten Personen eingeben, so klickt man nicht gleich auf "OK" (grüner Button mit weißem Häkchen), sondern klickt auf einen der "Personen-Button" ("Vater", "Mutter", "mit", "1.", "2.", ...) um zu den anverwandten Personen zu verzweigen. Dort sind dann zum Teil bereits einige Personenangaben gefüllt (z.B. gemeinsame Kinder oder gemeinsame Eltern).

Nun ergänzt man die Daten der neuen Person und fährt in dieser Weise immer weiter fort. Es spielt dabei keine Rolle, ob man mit den jüngsten oder den ältesten Mitgliedern der Familie beginnt.

Man kann die Eingabe jederzeit ab- bzw. unterbrechen indem man auf das OK-Symbol (grüner Button mit weißem Häkchen) klickt. Dann erscheint eine Übersicht (genannt "Navigator").

Um wieder mit der Eingabe fortzufahren ruft man eine Person direkt aus dem Navigator auf (Anklicken des Editier-Symbols), durch die Funktion Bearbeiten/Gehe zu... oder Suchen/Suchen....

Zwischendurch kann man mit der Funktion Bearbeiten/Plausibilitätsprüfung prüfen, ob die Daten plausibel sind. Man bekommt dann die Personen angezeigt, bei denen Unstimmigkeiten in den Daten vorliegen (z.B. unlogische Datumsangaben).

Besonders wichtig ist es, das Speichern der Familie nicht zu vergessen! Dabei sollte man nicht bis zur Fertigstellung aller Eingaben warten, sondern gerne in regelmäßigen Abständen die Daten abspeichern. Ein "sprechender" Dateiname erweist sich dabei als sinnvoll (z.B. "Familie-Meier").

Tipp: Man kann auch direkt aus dem Navigator heraus neue Personen eingeben. Dazu klickt man einfach auf eines der leeren Felder (z.B. ein leeres Kinder-Feld) und es kommt nach einer Nachfrage dann ein Dialog zur Eingabe des Namens und danach der komplette Eingabedialog. Man kann auf diesem Wege auch neue Eltern eintragen, allerdings ist es nicht möglich Generationen zu "überspringen", um z.B. direkt die Großeltern einzugeben. Auch kann man aus dem Navigator heraus keine weiteren Ehepartner eintragen.


Wie funktioniert das Drucken ?

Dieses geschieht entweder in Listenform über Erstellen/Liste... oder in Tafeldarstellung über Erstellen/Tafel....

Die Listen zeigen auf Wunsch alle Daten der betreffenden Personen, allerdings handelt es sich um eine reine Textdarstellung. Die Beziehung der Personen untereinander wird durch die Nummerierung der Personen hergestellt.

Folgende Listenarten stehen zur Auswahl ...

  • Ahnenliste: die Vorfahren einer ausgewählten Person
  • Stammliste: die Nachkommen einer ausgewählten Person
  • Familienliste: alle Personen
  • Ereignisliste: Liste der Geburts-, Hochzeits- und Todestage aller Personen
  • Personenblätter: alle Personendaten, wobei pro Person eine Seite gedruckt wird
Tafeln sind grafische Darstellungen, die zwar anschaulicher sind, allerdings nur einen Teil der Daten zeigen (Namen, Geburt, Tod und evtl. Hochzeit).

  • Ahnentafel: die Vorfahren einer ausgewählten Person verteilt auf mehrere Blätter zum Abheften
  • Ahnentafel (Poster): die Vorfahren einer ausgwählten Person verteilt auf mehrere Blätter zum Zusammenkleben
  • Stammtafel (Poster): die Nachkommen einer ausgwählten Person verteilt auf mehrere Blätter zum Zusammenkleben
  • Sanduhr: eine Kombination aus Ahnen- und Stammtafel (Poster) zu einer Person
Anmerkung: eine grafische Ausgabe aller Personen gibt es bislang nicht.

Zunächst erscheint ein Dialog, in dem man noch diverse Einstellungen zur Liste/Tafel treffen kann. Nach Bestätigung mit OK, ist evtl. noch eine Ausgangsperson auszuwählen.

Nun erscheint eine Vorschau, wobei die Einstellungen (Drucker, Papierformat) verwendet werden, die unter Datei/Drucker einrichten... eingetragen wurden. Diese Einstellungen lassen sich aber über ein eigenes Symbol ändern.

In der Vorschau hat man über entsprechende Symbole die Möglichkeit das Ergebnis auszudrucken (Drucker-Symbol) oder in eine Datei zu exportieren (Speichern-Symbol).

Durch Auswahl des Schließen-Symbols wird die Druckvorschau wieder geschlossen.


Familiendaten an andere weitergeben

Ahnendatei per E-Mail versenden

Öffnen Sie die Ahnendatei und Sie können über den Menüpunkt Senden per E-Mail... direkt aus Ahnenblatt heraus die Datei an den Empfänger senden. Dazu wird das Standard-Mailprogramm aufgerufen, wobei die Ahnendatei bereits als Dateianhang eingetragen ist. E-Mail-Adresse, Betreff und Nachrichtentext gibt man dann wie gewohnt ein.

Damit der E-Mail-Empfänger die Ahnendatei öffnen kann, ist es sinnvoll, dass dieser ebenfalls Ahnenblatt installiert hat.

Einzige Einschränkung dieser Methode ist, dass Bilddateien nicht übermittelt werden, da diese innerhalb von Ahnenblatt lediglich verlinkt sind und nicht Bestandteil der Ahnendatei sind.

Ahnendatei auf Datenträger weitergeben

Will man auch die Bilder weitergeben, dann könnte man die Ahnendatei zusammen mit allen Bildern in einem gemeinsamen Verzeichnis auf CD / DVD brennen oder auf eine Diskette / einen USB-Stick / eine Speicherkarte kopieren und weitergeben. Diese Methode setzt aber auch voraus, dass der Empfänger diese Daten nur mit Ahnenblatt sehen kann.

Weitergabe als GEDCOM-Datei

Arbeitet der Empfänger mit einem anderen Programm zur Ahnenforschung als Ahnenblatt, so kann man die Daten als GEDCOM-Datei speichern (siehe Funktion Speichern unter...). Das GEDCOM-Format ist speziell für den Datenaustausch zwischen Genealogieprogrammen konzipiert und kann von fast allen (auch internationalen) Programmen geladen werden.

Ähnlich wie bei den vorangegangenen Hinweisen, entweder per E-Mail (ohne Bilder) oder auf Datenträger (ob dann das Anzeigen der Bilder funktioniert hängt allerdings vom verwendeten Zielprogramm ab).

Weitergabe in einem anderen Dateiformat

Besitzt der Empfänger keine Ahnenforschungsprogramm und will sich auch keines speziell für diesen Zweck installieren, so kann man die Daten auch in anderen Formaten speichern. Die Funktion Speichern unter... bietet u.a. auch eine HTML-Seite an, wobei eine einzelne Datei entsteht, die sich mit einem beliebigen Internet Browser (gilt auch für Nicht-Windows-Systeme) anschauen kann.

Alternativ lässt sich auch eine Familienliste erstellen, die man dann im Word-Format (*.doc - sollte man aber nur verwenden, wenn man sicher weiß, dass der Empfänger Word besitzt) oder im Richtext-Format (*.rtf - kann von allen windowsbasierten Textverarbeitungen gelesen werden) speichern kann.

Ausdrucken der Daten

Hat der Empfänger gar keinen PC, dann kann man die Ahnendatei auch komplett ausdrucken. Dazu eignet sich die Familienliste für einen vollständigen Überblick. Alle anderen Listen und Tafeln bringen nur Teilaspekte der Ahnendatei zu Papier, was aber auch im Einzelfall genügen kann.


Erstellung einer Spitzenahnenliste

Eine Spitzenahnenliste ist eine Sonderform einer Ahnenliste, wobei nur die letzten bekannten Ahnen(-äste) genannt werden.

Man ruft also aus dem Menü die Funktion Erstellen / Liste... auf, wählt die Lasche "Ahnenliste" und klickt dann auf den Button "Optionen...".

In dem Dialog "Ahnenliste - Optionen" wählt man unter "welche Generationen" den Punkt "die letzten ... Generationen" aus und trägt 1 ein.

Wenn man nun beide Dialoge wieder mit OK schließt wird die Spitzenahnenliste erstellt.

Tipp: Da der letzte Namensträger in der Spitzenahnenliste oftmals nur noch namentlich bekannt ist, aber alle übrigen Daten, wie Geburtsort/-datum, Sterbeort/-datum, usw. unbekannt sind, ist diese wenig aussagekräftig (auch wenn nach Kekule nummeriert wird). Für Archivrecherchen wähle ich daher immer einen Ausdruck der letzten 2 Generationen.


Ahnen als Website speichern

Um aus den Ahnen eine Website zu machen, also HTML-Seiten, die mit einem Internet-Browser angeschaut und durchgeklickt werden können, ist die Familie nur mit dem Menüpunkt Datei/Speichern unter... im Format "*.HTM (Website)" abzuspeichern.

Es wird der Name einer Startseite verlangt, z.B. SCHMIDT.HTM. Es entsteht auf dieser Seite eine alphabetische Auflistung aller einzelner Personen der Familie. Jeder Name steht dabei für einen Verweis auf eine eigene HTML-Seite für diese Person. Hier erscheinen dann alle Daten der Person inklusive Bilder und Anmerkungen.

Dafür wird ein eigenes Unterverzeichnis angelegt, hier SCHMIDT, das für jede Person der Familie eine eigene HTML-Seite enthält.

Wird die Startseite, also SCHMIDT.HTM, geöffnet, kann man wie im Internet durch alle Personen der Familie navigieren.

Um die so entstandene Website an einen anderen Ort zu kopieren (wie wäre es mit der eigenen Familie auf einer CD?) ist dann nur die Datei SCHMIDT.HTM und der Ordner SCHMIDT mit Inhalt zu kopieren.

ACHTUNG: Das HTML-Format kann zwar geschrieben, aber nicht wieder gelesen werden! Zum Sichern der Forschungsergebnisse ist immer das Dateiformat "*.AHN (Ahnenblatt)" zu verwenden!


Hintergrundbild für Website

Hat man die Familie als Website gespeichert, so möchte man das Ergebnis eventuell noch mit einem Hintergrundbild optisch aufbereiten.

Wie wäre es mit einem Hintergrund, der wie Pergamentpapier aussieht?

Dazu ist lediglich ein Bild namens "back.jpg" in das gleiche Verzeichnis wie die Startseite der Website zu kopieren.

Ein solches Hintergrundbild liegt dem Programm bei, es lassen sich aber relativ leicht weitere Hintergründe im Internet finden.


Öffnen von Ahnendateien direkt aus dem Windows-Startmenü

Im Windows-Startmenü (Start-Button in der Taskleiste von Windows) befindet sich ein Eintrag "Dokumente", der die zuletzt verwendeten Dateien und Dokumente enthält.

Hier finden sich ebenso die zuletzt verwendeten Ahnendateien, die dann direkt mit Ahnenblatt geöffnet werden.


Drag & Drop Unterstützung

Bei Drag & Drop (festhalten und fallen lassen) handelt es sich um eine Windows-Funktionalität, die von vielen Programmen verwendet wird.

So kann man mittels Drag & Drop Dateien im Explorer kopieren oder verschieben.

Ahnenblatt untstützt Drag & Drop an zwei Stellen:

  • Öffnen von Dateien: man kann per Drag & Drop eine Ahnendatei (*.ahn oder *.ged) auf das Hauptfenster von Ahnenblatt schieben und diese wird dann geöffnet.
  • Zuordnen von Bildern: im Eingabedialog kann man bei geöffneter Lasche "Bilder" Bilddateien per Drag & Drop direkt aus dem Explorer einfügen.
  • Ändern des Tafelhintergrundes: in der Tafeldruckvorschau kann man eine Grafikdatei per Drag & Drop zum neuen Hintergrundbild der Tafel machen


Wie kann man Daten aus einer Tabellenkalkulation importieren ?

Allgemeines

Ahnenblatt kann das Dateiformat CSV sowohl speichern als auch öffnen. Bei dem CSV-Format handelt es sich um ein textbasiertes Tabellenformat, das von nahezu allen Tabellenkalkulations- und Datenbankprogrammen angeboten wird. CSV steht dabei für Character Separated Values, da die einzelnen Spaltenwerte durch spezielle Trennzeichen (Semikolon, Kommata oder Tabulatoren) voneinander getrennt sind.

Hat man bereits mit einer Familienaufstellung in einer Tabellenkalkulation begonnen, so kann man diese als CSV-Datei abspeichern und über Datei/Öffnen.../CSV-Datei in Ahnenblatt öffnen.

Das heißt aber nicht, dass beliebige CSV-Dateien (=beliebige "Tabellen") in Ahnenblatt eingelesen werden können! In der ersten Zeile der CSV-Datei erwartet Ahnenblatt die Spaltenüberschriften, die dann interpretiert werden.

Einen ersten Eindruck erhält man, wenn man eine Beispielfamilie als CSV-Datei speichert und dann in einer Tabellenkalkulation öffnet. Eventuell kommt es dabei zur Nachfrage, wie die Felder getrennt werden. Ahnenblatt verwendet beim Speichern im CSV-Format immer das Semikolon als Feldtrenner.

Spaltenüberschriften

Die verwendeten Spaltenüberschriften orientieren sich an den Bezeichnern des internationalen Gedcom-Formats. Folgende Spaltenüberschriften werden verwendet (mit Hinweisen für einen Import):

  • REFN - Legt einen eindeutigen Referenznamen für jede Person fest. Diese Referenz wird in den noch folgenden ...REFN-Spalten verwendet, um z.B. auf den Vater (FATH.REFN) oder auf die Mutter (MOTH.REFN) zu verweisen. Beim Speichern aus Ahnenblatt werden alle Personen einfach nur fortlaufend durchnummeriert. Es sind aber auch beliebige andere eindeutige alphanumerische Texte erlaubt. Ist diese Spalte nicht vorhanden, dann wird beim Öffnen die Spalte NAME als Referenz verwendet.
  • NAME - Der Name der Person im Format "Vornamen Geburtsname". Hat man bereits eine Familienliste in einer Tabellenkalkulation eingefügt, dann evtl. nur mit zusammenhängenden Namen, die Ahnenblatt dann selbstständig in Vornamen und Geburtsname trennt. Dabei wird immer das letzte Wort in dieser Spalte als Geburtsname erkannt, der Teil davor als Vornamen. Diese Spalte ist eigentlich überflüssig, wenn es eigene Spalten für Vornamen (GIVN) und Geburtsnamen (SURN) gibt. Sind trotzdem alle drei Spalten vorhanden und sind deren Inhalte widersprüchlich, dann kennzeichnet Ahnenblatt diese Fälle indem die widersprüchlichen Namensteile in Klammern "(...)" gesetzt werden.
  • SURN - Hier steht der Geburtsname einer Person.
  • GIVN - Hier stehen die Vornamen einer Person.
  • FATH.NAME - Der Name des Vaters.
  • FATH.REFN - Eindeutige Referenz des Vaters (also der Wert der REFN-Spalte der zugehörigen Vaterperson) oder ein Leerfeld (Vaterreferenz unbekannt bzw. kein Vater).
  • MOTH.NAME - Der Name der Mutter.
  • MOTH.REFN - Entsprechende Mutterreferenz (vgl. FATH.REFN).
  • SEX - Geschlecht der Person (M,m = männlich, W,w,F,f = weiblich).
  • OCCU - Beruf der Person.
  • BIRT.DATE - Geburtsdatum
  • BIRT.PLAC - Geburtsort
  • RELI - Religion
  • CHR.DATE - Taufdatum
  • CHR.ADDR - Taufkirche
  • CHR.PLAC - Taufort
  • GODP - Paten als Text (wie man in Ahnenblatt eingeben würde, also mehrere Personen z.B. durch Kommata getrennt).
  • CONF.DATE - Datum der Einsegnung (Kommunion bzw. Konfirmation)
  • CONF.ADDR - Kirche der Einsegnung
  • CONF.PLAC - Ort der Einsegnung
  • DEAT.DATE - Todesdatum
  • DEAT.PLAC - Todesort
  • BURI.DATE - Begräbnisdatum
  • BURI.PLAC - Begräbnisort
  • NOTE - Notizen (ohne Zeilenumbrüche!)
  • SOUR - Quellen (ohne Zeilenumbrüche!)
  • MARR.DATE.1 - Hochzeitsdatum. Um Mehrfachehen darstellen zu können werden einfach die MARR-Spalten fortlaufend durchnummeriert (MARR...1, MARR...2, ...).
  • MARR.PLAC.1 - Hochzeitsort (ggf. mehrere fortlaufend nummerierte Spalten)
  • MARR.SPOU.NAME.1 - Name des Hochzeitspartners (ggf. mehrere fortlaufend nummerierte Spalten)
  • MARR.SPOU.REFN.1 - Referenz des Hochzeitspartners (ggf. mehrere fortlaufend nummerierte Spalten)
Eigene Spalten für die Geschwister oder Kinder gibt es nicht. Ahnenblatt bestimmt diese Angaben aus den Elternangaben (FATH.REFN, MOTH.REFN) automatisch.

Die Spalten können in beliebiger Reihenfolge verwendet werden. Die obige Auflistung zeigt auch nur alle möglichen Spalten - es müssen aber nicht alle in der zu öffnenden CSV-Datei verwendet werden. Unbekannte Spaltenüberschriften werden ignoriert. Groß- oder Kleinschreibung innerhalb der Spaltenüberschriften spielt keine Rolle. Wichtig ist immer, dass bei zu öffnenden CSV-Dateien die Spaltenüberschriften in der ersten Zeile stehen!

Beim Erstellen von eigenen CSV-Dateien (z.B. Speichern aus der Tabellenkalkulation) darf als Feldtrenner Semikolon, Kommata oder Tabulator verwendet werden. Ahnenblatt erkennt den Feldtrenner beim Öffnen dann automatisch.

Ebenso spielt es für zu öffnende CSV-Dateien keine Rolle, ob die Texte durch Anführungszeichen eingerahmt sind, oder nicht.


Wie kann man Daten aus dem Programm Familien-Chronik (Data Becker) importieren ?

Familien-Chronik ist ein älteres Genealogie-Programm des Herstellers Data Becker. Das Programm speichert die Familiendaten in eigene Dateien, die die gleiche Dateierweiterung wie Ahnenblatt verwenden, nämlich .ahn.

Gleiche Dateierweiterung bedeutet aber nicht automatisch, dass die Dateien untereinander kompatibel sind. Ahnenblatt kann die Dateien von Familien-Chronik nicht lesen, weil eine völlig andere Dateistruktur verwendet wird. Versucht man dennoch eine solche Datei mit Ahnenblatt zu öffnen kommt folgender Hinweistext:

Keine Ahnenblatt-Datei!

Erstellt mit dem Programm 'Familien-Chronik'.

Übernahme der Daten nur eingeschränkt möglich (siehe Programm-Hilfe).

Da Familien-Chronik leider keinen Gedcom-Export unterstützt, gibt es nur folgenden Trick, um nicht alle Daten komplett neu eingeben zu müssen:

Man ruft in Familien-Chronik den Menüpunkt "Bearbeiten / Daten exportieren" auf und klickt dann auf "<< Alle Hinzufügen <<" um alle Datenfelder auszuwählen. Die Reihenfolge der Felder scheint danach immer gleich zu sein. Zuletzt auf "ANSI-Datei erstellen" und Datei abspeichern.

Es entsteht dabei eine Textdatei (.txt), die man dann mit einem Texteditor öffnet. Nun ist der nachfolgende fett geschriebene Text als allererste Zeile in die den Texteditor einzufügen:

SURN;GIVN;GIVN;;BIRT.DATE;BIRT.PLAC;CHR.DATE;CHR.PLAC;OCCU;MARR.SPOU.NAME.1;MARR.DATE.1;MARR.PLAC.1;DEAT.DATE;DEAT.PLAC;BURI.DATE;BURI.PLAC

Am besten hier in der Hilfe den Text mit der Maus markieren, dann mit der rechten Maustaste in den markierten Text klicken und im erscheinenden Kontextmenü "Kopieren" wählen.

Nachdem die neue Textzeile in die Datei eingefügt wurde, ist die Datei mit der Dateiendung .csv zu speichern (alternativ nach dem Speichern im Explorer umbenennen).

Diese zusätzliche Zeile gibt an, welche Spalte in welches Ahnenblatt-Feld gehört.

Die resultierende Datei kann in Ahnenblatt über "Datei / Öffnen... / CSV-Datei" geöffnet werden.

Das Ergebnis ist relativ gut und es werden sogar einige Personen miteinander verknüpft. Allerdings tragen alle verheirateten Frauen nun den Ehenamen (als Geburtsnamen). Nacharbeit ist somit dennoch erforderlich!


Ehemalige Tipps des Tages

Bis zur Programmversion 2.74 konnten in einem separatem Menü sogenannte 'Tipps des Tages' aufgerufen werden. Aus Gründen der Übersichtlichkeit wurden diese später hier in die Hilfe integriert.

Wussten Sie eigentlich ...?

Da nicht jeder Ortsname einmalig ist, ist es sinnvoll bei der Eingabe zusätzliche Angaben zum Landkreis und Bundesland zu machen (z.B. "Heide/Kreis Dithmarschen (Schleswig-Holstein)" oder "Klemmen/Kreis Cammin (Pommern)"). Vor allem wenn man seine Daten veröffentlicht oder mit anderen Ahnenforschern austauscht, ist es für den Leser sehr hilfreich.

Wünschen Sie sich kleine Änderungen in den möglichen Listen (Ahnenliste, Stammliste, ...), finden aber keine Möglichkeit dieses zu tun? Erzeugen Sie eine Liste und speichern diese innerhalb der Druckvorschau für Ihre Textverarbeitung ab. In der Textverarbeitung lässt sich dann z.B. eine Überschrift hinzufügen oder Personen manuell entfernen.

Die Funktion "Neue Person..." ruft man in der Regel nur für die erste Person einer neuen Familie auf. Alle übrigen Personen werden durch die Schaltflächen ("Vater", "Mutter", ...) des Eingabedialoges angelegt. Dadurch entstehen überhaupt erst die Personenverbindungen.

Eine Spitzenahnenliste ist nichts anderes als eine Ahnenliste, bei der unter Optionen "die letzten x Generationen" ausgewählt wird.

Bei einer Ahnentafel (auf Seitenbasis) wird die Schriftgröße automatisch bestimmt und ist abhängig von der "Anzahl der Generationen (pro Seite)" und der Länge der Texte (Vorname, Geburtsname, ...).

Die Familie ist immer alphabetisch nach dem Geburtsnamen sortiert. Mit den Pfeilsymbolen im Eingabedialog wechselt man vor und zurück. Mit den Doppelpfeilen gelangt man zum vorigen/nächsten Anfangsbuchstaben. Die "Pfeile mit Strich" springen zur ersten/letzten Person.

Mit dem Symbol "Text in Zwischenablage kopieren" im Eingabedialog kann man die Daten der aktuellen Person z.B. in eine E-Mail oder in die Textverarbeitung kopieren.

Alle Datumsfelder erlauben die Eingabe von Freitexten. So sind Datumseingaben wie "vor dem 2.WK", "zwischen 1854 und 1859", "xx.10.1732" oder "Ostern 1898" kein Problem.

Die Funktion "Familie sortieren" sortiert nicht nur alle Personen alphabetisch, sondern auch die Kinder, Geschwister und Ehen aller Personen chronologisch.

Möchte man einen bestimmten Familienast in einer separaten Ahnendatei speichern, so kann man über "Bearbeiten / Gruppe löschen ..." z.B. eine Ahnenliste auswählen, die erhalten bleiben soll ("Löschen / alles außer Auswahl"). Vor dem Löschen werden immer nochmal alle zur Löschung vorgesehenen Personen angezeigt. Nach dem Löschen dann in separater Datei speichern.

Man kann unter "Datei / Eigenschaften... / Erstellt durch" seine eigene Adresse eingeben, die in der Ahnendatei mit abgespeichert wird. So können andere Ahnenforscher den Urheber der Datei erkennen (für GEDCOM-Dateien sogar Pflicht).

Ahnenblatt beherrscht "Drag & Drop", das heißt, dass sich Dateien aus dem Windows-Explorer direkt auf die Arbeitsoberfläche von Ahnenblatt ziehen lassen und dann geöffnet werden.

Die aktuelle Programmversion finden Sie im Internet. Zu erreichen unter dem Menüpunkt "? / Ahnenblatt Webseite".

Man kann unter "Datei / Eigenschaften... / Startperson" eine Startperson der Ahnendatei festlegen. Diese Person wird automatisch beim nächsten Öffnen dieser Ahnendatei angezeigt.

Klickt man mit der rechten Maustaste auf die zentrale Person im Navigator, so erscheint ein Kontextmenü mit zusätzlichen Funktionen (als Startperson festlegen, nur Rufnamen anzeigen, ...).

Klickt man mit der rechten Maustaste auf das Bild im Navigator, so erscheint ein Kontextmenü in dem man z.B. das Bild ausblenden kann (wenn das Laden generell zu lange dauert).

Klickt man direkt auf das Bild im Navigator, so öffnet sich die betreffende Person mit geöffneter Lasche "Bilder".

Mit der Funktion "Extras / alle Bilder anzeigen" bekommt man eine schnelle Übersicht aller zugewiesenen Bilder.

Mit der F1-Taste können Sie jederzeit die Programmhilfe aufrufen. Innerhalb nahezu aller Dialoge gelangen Sie sogar direkt zu dem entsprechenden Hilfethema.

Drückt man im Navigator die Tastenkombination Alt+Pos1 springt man direkt zur festgelegten Startperson.

Ein Hintergrundbild für Tafeln richtet man unter "Extras / Optionen... / Drucken / Tafeln / Hintergrund" ein


Glossar

  • Ahnenblatt - Eigentlich ein Formular zum Eintragen von Informationen einer Person, das vor allem in der Prä-Computer-Ära verwendet wurde. Diesem nachempfunden ist der Eingabedialog dieses Programms zum Eintragen von Personen, daher auch der Programmname "Ahnenblatt".
  • Ahnenforschung - Die Suche nach den eigenen Vorfahren.
  • Ahnenliste - Eine Listenform, die beginnend bei einer Person (der Proband) generationsweise die Eltern, Großeltern, usw. darstellt. Dabei ist die Nummerierung der Personen nicht fortlaufend, sondern folgt folgendem Schema. Der Proband beginnt immer mit der Nummer 1. Der Vater einer Person x bekommt dann immer die Nummer 2 * x und die Mutter die Nummer 2 * x + 1. Sind Personen nicht bekannt, dann fehlen auch die entsprechenden Nummern (siehe 'Kekule').
  • Ahnentafel - Eine grafische Darstellungsform, die beginnend bei einer Person (der Proband) generationsweise die Eltern, Großeltern, usw. darstellt.
  • Einsegnung - Begriff der konfessionsunabhängig Konfirmation und Kommunion zusammenzufasst.
  • GEDCOM - GEDCOM (GEnealogical Data COMmunication) ist ein universelles Dateiformat zum Austausch von Daten der Ahnenforschung (Dateiendung ".GED"). Entwickelt von der Kirche Jesu Christi der Heiligen der letzten Tage (Mormonen), die in dem Bereich der Ahnenforschung sehr aktiv sind. Da es eines der ältesten Dateiformate ist (seit 1987) und die größte Verbreitung besitzt (wird von vielen Programmen zur Ahnenforschung als Im- und Exportformat unterstützt), ist es quasi der Standard für Ahnendaten. Beim Ausstausch von Daten mit anderen Ahnenforschern, beim Arbeiten mit unterschiedlichen Programmen oder beim Wechsel des Ahnenprogramms leistet dieses Dateiformat daher wichtige Dienste.
  • Genealogie - anderer Begriff für Ahnenforschung
  • Heraldik - anderer Begriff für Wappenkunde
  • Kekule - Von Stephan Kekule v. Stradonitz (1863-1933) vorgeschlagenes und nach ihm benanntes Ahnennummerierungssystem (Siehe 'Ahnenliste').
  • Spitzenahnenliste - Eine besondere Art der Ahnenliste, bei der nur die letzten bekannten Namensträger dargestellt werden.
  • Stammliste - Eine Liste, die beginnend bei dem ältesten Namensträger alle Nachfahren, also Kinder, Kindeskinder, usw. von oben nach unten darstellt. Die Nummerierung der Personen ist dabei fortlaufend. Die Ehepartner sind entweder mit allen Angaben direkt im Text oder als Anhang aufgelistet. Daraus abgeleitet der Stammbaum, eine grafische Darstellung der Stammliste, allerdings von unten nach oben (Stammvater als "Stamm", jüngste Generationen als "Blätter").
  • Stammtafel - Eine grafische Darstellungsform der Stammliste.
  • Sütterlin - Ludwig Sütterlin (1865-1917), deutscher Grafiker und Erfinder der Sütterlinschrift (auch kurz Sütterlin genannt), die in den 30er Jahren des 20. Jahrhunderts Unterrichtsstoff war. Es handelt sich dabei um eine Weiterentwicklung der lange verwendeten Kurrent Schrift. Alte handschriftliche Kirchenbuch- und Standesamtseinträge sind in dieser Schrift verfasst worden.
  • Tiny Tafel - Ein Dateiformat, dass eine Zusammenfassung der eigenen Familie darstellt. Es ist nicht jede Person vorhanden, sondern nur die Familiennamen (in einem speziellen Lautschriftformat zur besseren Suche unabhängig von über Jahrhunderte wechselnde Schreibweisen), Orte und Zeitraum (über den Namensträger bekannt sind). Weiterhin enthält eine Tiny Tafel Datei auch immer eine Kontaktadresse (postalisch/E-Mail) des Ahnenforscher an den man sich bei Übereinstimmung mit der eigenen Familie wenden kann.


Lizenz / Haftungsausschluss

Bei dem Programm Ahnenblatt handelt es sich um Freeware , d.h. es ist kostenfrei und darf ebenso kostenfrei beliebig oft weitergegeben werden.

Eine Weitergabe des Programmes darf ohne Absprache mit dem Autoren nur in der Form geschehen, wie auf der Webseite des Autoren (www.ahnenblatt.de) vorgesehen wurde (selbstextrahierendes Programm).

Die Rechte des Programmes liegen alleinig beim Autoren, Dirk Böttcher. Es darf nicht verändert werden, weder durch Hinzufügen, Entfernen oder Modifizieren von Dateien.

Es wird keinerlei Haftung für Schäden die durch das Programm Ahnenblatt entstehen sollten, übernommen (Software-/Hardwaredefekte, Datenverluste, ...). Obwohl das Programm nach bestem Wissen und Gewissen vor Veröffentlichung geprüft wird, so geschieht die Nutzung auf eigene Gefahr.

Sollte das Programm, Programmteile, Texte oder Grafiken enthalten, die Rechte Dritter verletzen, so ist mir dieses unverzüglich mitzuteilen. Ich werde das Programm dann in einem angemessenem Zeitraum abändern.

Programmfehler können jederzeit beim Autoren, Dirk Böttcher (dirk.boettcher@ahnenblatt.de), angezeigt werden, es besteht aber keine Verpflichtung diese zu beseitigen.

Eine Veröffentlichung des Programmes in Rahmen von Softwaresammlungen auf Datenträger (CDs, DVDs, ...) wird prinzipiell begrüßt, sollte dem Autoren nach Möglichkeit vorher angezeigt werden. Ein Belegexemplar ist willkommen, aber nicht Bedingung.

Eine Verlinkung auf mein Programm im Internet zum Zwecke des Downloads ist generell willkommen, es sollte aber immer ein Link auf die Webseite des Autoren (www.ahnenblatt.de) vorhanden sein und auf den Autoren Dirk Böttcher und seine E-Mail-Adresse (dirk.boettcher@ahnenblatt.de) hingewiesen werden.


Danksagungen

Mein besonderer Dank geht an ...

Das Ahnenblatt-Portal - www.ahnenblattportal.de

ein Forum für Anwender von Anwendern - hier werden Fragen beantwortet, Anregungen und Wünsche gesammelt und es finden gelegentlich Beta-Tests statt

Die Erst-Übersetzer der folgenden Sprachen ...

- Englisch - Othmar Noe

- Spanisch - Othmar Noe

- Französisch - Jean-Marie Fuchs

- Polnisch - Jozef Topolinski

- Niederländisch - Jethro Betcke

- Türkisch - Roman Neumüller

- Ungarisch - Levente Csikos

- Estnisch - Assar Järvekülg

- Tschechisch - Jiri Bukacek

- Rumänisch - Emil Craciun

- Russisch - Viatscheslav Papenkow

- Italienisch - Giuseppe Voglino

- Kroatisch - Igor Lukenda

- Dänisch - Gunnar Majgaard Hansen

- Schwedisch - Joakim Lind

- Norwegisch - Ole Henrik Svenning

- Portugiesisch - Silvia da Silva

- Albanisch - Agron Dida

- Slowenisch - Domen Jesenovec

- Ukrainisch - Oleksander Fursevych

Bill Menees - www.menees.com

Programmierer der Delphi-Komponente TPagePrinter, die den Hauptteil der Druckvorschau ausmacht.

Horst Reichert - www.rt-science.com

Programmierer der Komponentenbibliothek Tools2D, mit der die Tortengrafiken in den Statistiken realisiert wurden.

Jordan Russell - www.jrsoftware.org

... für den kostenlosen Windows Installer Inno Setup, mit dem das Installationsprogramm erstellt wurde.

FatCow - www.fatcow.com/free-icons

... für die kostenlosen "Farm-Fresh Web Icons", aus denen die Icons der Symbolleisten stammen.

Dustin Schmieding - lostandtaken.com/blog/2013/1/4/7-free-antique-paper-textures.html

... für den Tafelhintergrund 'Antique Paper', der aus dem Set '7 Free Antique Paper Textures' stammt.